Browse Source

Moved all references to home from ~ or /home/micah to for compatibility and portability

Also changed compton shadowing and deleted old rtorrent tmux layout
profile
tags/v0.2.0
Micah Halter 1 year ago
parent
commit
16e13503bf
54 changed files with 439 additions and 440 deletions
  1. 2
    2
      Makefile
  2. 15
    15
      bash/.bash_aliases
  3. 2
    2
      bash/.bashrc
  4. 7
    2
      compton/.config/compton.conf
  5. 21
    21
      i3-work/.config/i3/config
  6. 4
    4
      i3-work/.config/i3/scripts/music
  7. 1
    1
      i3-work/.config/i3/scripts/runner
  8. 36
    36
      i3/.config/i3/config
  9. 3
    3
      i3/.config/i3/scripts/dirty
  10. 4
    4
      i3/.config/i3/scripts/music
  11. 1
    1
      i3/.config/i3/scripts/runner
  12. 4
    4
      khal/.config/khal/academicconfig
  13. 6
    6
      khal/.config/khal/config
  14. 7
    7
      khal/.config/khal/fullconfig
  15. 0
    1
      khard/.config/khard/khard.conf
  16. 2
    2
      msmtp/.msmtprc
  17. 2
    2
      mutt/.config/mutt/gatechrc
  18. 2
    2
      mutt/.config/mutt/gmailrc
  19. 1
    1
      mutt/.config/mutt/mailcap
  20. 5
    5
      mutt/.config/mutt/muttrc
  21. 1
    1
      neofetch/.config/neofetch/config
  22. 4
    4
      neovim/.config/nvim/init.vim
  23. 3
    3
      offlineimap/.offlineimaprc
  24. 1
    1
      offlineimap/.offlineimapsync.sh
  25. 2
    2
      polybar-work/.config/polybar/scripts/mail
  26. 2
    2
      polybar-work/.config/polybar/scripts/music
  27. 2
    2
      polybar/.config/polybar/scripts/mail
  28. 2
    2
      polybar/.config/polybar/scripts/music
  29. 1
    1
      ranger-work/.config/ranger/commands.py
  30. 7
    7
      ranger-work/.config/ranger/rc.conf
  31. 53
    53
      ranger-work/.config/ranger/shortcuts.conf
  32. 1
    1
      ranger/.config/ranger/bookmarks
  33. 1
    1
      ranger/.config/ranger/commands.py
  34. 10
    10
      ranger/.config/ranger/rc.conf
  35. 64
    64
      ranger/.config/ranger/shortcuts.conf
  36. 13
    13
      scripts-work/.config/Scripts/configs
  37. 10
    10
      scripts-work/.config/Scripts/folders
  38. 1
    1
      scripts-work/.config/Scripts/screen.sh
  39. 16
    16
      scripts/.config/Scripts/configs
  40. 12
    12
      scripts/.config/Scripts/folders
  41. 2
    2
      scripts/.config/Scripts/lock/lock.sh
  42. 2
    2
      scripts/.config/Scripts/screen.sh
  43. 2
    2
      tmux/.tmux.conf
  44. 1
    1
      tmux/.tmuxinator/default.yml
  45. 1
    1
      tmux/.tmuxinator/music.yml
  46. 0
    5
      tmux/.tmuxinator/rtorrent.yml
  47. 1
    1
      tmux/.tmuxinator/scratchpad.yml
  48. 2
    2
      vdirsyncer/.config/vdirsyncer/config
  49. 13
    13
      zsh-work/.zsh_aliases
  50. 23
    23
      zsh-work/.zsh_shortcuts
  51. 11
    11
      zsh-work/.zshrc
  52. 13
    13
      zsh/.zsh_aliases
  53. 28
    28
      zsh/.zsh_shortcuts
  54. 9
    9
      zsh/.zshrc

+ 2
- 2
Makefile View File

@@ -314,5 +314,5 @@ stow-post:
314 314
 	# neovim vim-plug initialization
315 315
 	sudo -u $(USER) nvim +'PlugInstall --sync' +qa
316 316
 	# set wallpaper and run pywal
317
-	sudo -u $(USER) cp default-wall.jpg ~/.config/wall
318
-	sudo -u $(USER) wal -g -c -i ~/.config/wall -o ~/.config/Scripts/wal-set
317
+	sudo -u $(USER) cp default-wall.jpg $(HOME)/.config/wall
318
+	sudo -u $(USER) wal -g -c -i $(HOME)/.config/wall -o $(HOME)/.config/Scripts/wal-set

+ 15
- 15
bash/.bash_aliases View File

@@ -1,5 +1,5 @@
1 1
 if [ -x /usr/bin/dircolors ]; then
2
-    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
2
+    test -r $HOME/.dircolors && eval "$(dircolors -b $HOME/.dircolors)" || eval "$(dircolors -b)"
3 3
     alias ls='ls --color=auto'
4 4
     #alias dir='dir --color=auto'
5 5
     #alias vdir='vdir --color=auto'
@@ -21,11 +21,11 @@ alias cp='rsync'
21 21
 alias cpr='rsync -r'
22 22
 alias speedtest='speedtest-cli'
23 23
 alias alsamixer='alsamixer -c 1'
24
-alias gdrive='google-drive-ocamlfuse ~/Google\ Drive/'
25
-alias ugdrive='sudo umount ~/Google\ Drive/'
26
-alias todo='vi ~/.todo'
27
-alias dataBackup='/home/micah/backupScript/backup.sh'
28
-alias dataBackupUmount='/home/micah/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'
24
+alias gdrive='google-drive-ocamlfuse $HOME/Google\ Drive/'
25
+alias ugdrive='sudo umount $HOME/Google\ Drive/'
26
+alias todo='vi $HOME/.todo'
27
+alias dataBackup='$HOME/backupScript/backup.sh'
28
+alias dataBackupUmount='$HOME/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'
29 29
 alias makescript="fc -rnl | head -1 >"
30 30
 alias histg='history | grep'
31 31
 alias cmount='mount | column -t'
@@ -34,16 +34,16 @@ alias tree2="find . -print | sed -e 's;[^/]*/;|____;g;s;____|; |;g'"
34 34
 alias meminfo='free -m -l -t'
35 35
 alias ps?='ps aux | grep'
36 36
 alias ipinfo="curl ifconfig.me && curl ifconfig.me/host"
37
-alias bashrc="vi ~/.bashrc"
38
-alias bashalias="vi ~/.bash_aliases"
39
-alias katawa="/home/micah/data/Videos/Anime/Visual\ Novels/Katawa\ Shoujo-linux/Katawa\ Shoujo.sh"
37
+alias bashrc="vi $HOME/.bashrc"
38
+alias bashalias="vi $HOME/.bash_aliases"
39
+alias katawa="$HOME/data/Videos/Anime/Visual\ Novels/Katawa\ Shoujo-linux/Katawa\ Shoujo.sh"
40 40
 alias python="python3"
41 41
 alias mysql="mysql -u root -p"
42 42
 alias aptclean="sudo apt-get autoremove ; sudo apt-get autoclean; sudo apt-get install -f ; sudo apt-get clean"
43 43
 alias aptupgrade="sudo apt-get update ; sudo apt-get -y upgrade ; sudo apt-get -y dist-upgrade ; sudo apt-get -y autoremove ; sudo apt-get -y autoclean; sudo apt-get -y install -f ; sudo apt-get -y clean"
44 44
 
45
-alias setCurrentProject='pwd > ~/.current_project'
46
-alias currentProject='cd `cat ~/.current_project`'
45
+alias setCurrentProject='pwd > $HOME/.current_project'
46
+alias currentProject='cd `cat $HOME/.current_project`'
47 47
 
48 48
 # Add an "alert" alias for long running commands.  Use like so:
49 49
 #   sleep 10; alert
@@ -84,28 +84,28 @@ extract() {
84 84
 #C compiling shortcuts for clang and gcc
85 85
 clang() {
86 86
     if [[ $1 =~ \.c$ ]]; then
87
-        clang-3.5 -g $1 -o ${1%%.*}; 
87
+        clang-3.5 -g $1 -o ${1%%.*};
88 88
     else
89 89
         echo "$1 is not a c file"
90 90
     fi
91 91
 }
92 92
 clanglm() {
93 93
     if [[ $1 =~ \.c$ ]]; then
94
-        clang-3.5 -g $1 -o ${1%%.*} -lm; 
94
+        clang-3.5 -g $1 -o ${1%%.*} -lm;
95 95
     else
96 96
         echo "$1 is not a c file"
97 97
     fi
98 98
 }
99 99
 gccc() {
100 100
     if [[ $1 =~ \.c$ ]]; then
101
-        gcc -std=c99 -Wall -pedantic -Wextra -Werror -O2 -g $1 -o ${1%%.*}; 
101
+        gcc -std=c99 -Wall -pedantic -Wextra -Werror -O2 -g $1 -o ${1%%.*};
102 102
     else
103 103
         echo "$1 is not a c file"
104 104
     fi
105 105
 }
106 106
 gcclm() {
107 107
     if [[ $1 =~ \.c$ ]]; then
108
-        gcc -std=c99 -g $1 -o ${1%%.*} -lm; 
108
+        gcc -std=c99 -g $1 -o ${1%%.*} -lm;
109 109
     else
110 110
         echo "$1 is not a c file"
111 111
     fi

+ 2
- 2
bash/.bashrc View File

@@ -1,9 +1,9 @@
1 1
 
2 2
 export PATH="$PATH:$HOME/.rvm/bin" # Add RVM to PATH for scripting
3 3
 
4
-export QSYS_ROOTDIR="/home/micah/intelFPGA_lite/17.1/quartus/sopc_builder/bin"
4
+export QSYS_ROOTDIR="$HOME/intelFPGA_lite/17.1/quartus/sopc_builder/bin"
5 5
 
6
-[ -f ~/.fzf.bash ] && source ~/.fzf.bash
6
+[ -f $HOME/.fzf.bash ] && source $HOME/.fzf.bash
7 7
 export FZF_DEFAULT_OPS="--extended"
8 8
 export FZF_DEFAULT_COMMAND="fd --type f"
9 9
 export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"

+ 7
- 2
compton/.config/compton.conf View File

@@ -6,5 +6,10 @@ fade-out-step = 0.15;           # Opacity change between steps while fading out.
6 6
 no-fading-openclose = false;    # Fade windows in/out when opening/closing.
7 7
 
8 8
 # Shadow
9
-shadow = true
10
-no-dock-shadow = true
9
+shadow = true;
10
+no-dock-shadow = true;
11
+clear-shadow = true;
12
+shadow-radius = 0;
13
+shadow-offset-x = 5;
14
+shadow-offset-y = 5;
15
+shadow-opacity = 0.3;

+ 21
- 21
i3-work/.config/i3/config View File

@@ -3,10 +3,10 @@ set $mod Mod1
3 3
 floating_modifier $mod
4 4
 
5 5
 # set variables
6
-set $browser '/home/micah/qutebrowser/bin/qutebrowser'
6
+set $browser '$HOME/qutebrowser/bin/qutebrowser'
7 7
 set $term     'urxvt'
8
-set $cliprog --no-startup-id zsh /home/micah/.config/i3/scripts/cliprog
9
-set $runner  --no-startup-id urxvt -e /home/micah/.config/i3/scripts/runner
8
+set $cliprog --no-startup-id zsh $HOME/.config/i3/scripts/cliprog
9
+set $runner  --no-startup-id urxvt -e $HOME/.config/i3/scripts/runner
10 10
 set $i3exit  "i3-nagbar -t warning -m 'You pressed the exit shortcut. Do you really want to exit i3? This will end your X session.' -b 'Yes, exit i3' 'i3-msg exit'"
11 11
 set $defaultgaps 25
12 12
 set $dmenu-font Terminus-14
@@ -113,14 +113,14 @@ for_window [instance="tasks"] move scratchpad
113 113
 exec --no-startup-id compton
114 114
 
115 115
 # alternating layout script
116
-#exec --no-startup-id ~/.config/i3/scripts/alternating_layouts.py
116
+#exec --no-startup-id $HOME/.config/i3/scripts/alternating_layouts.py
117 117
 
118 118
 # set up caps lock - press = escape, hold = ctrl
119 119
 exec_always --no-startup-id setxkbmap -option ctrl:nocaps
120 120
 exec_always --no-startup-id xcape -e 'Control_L=Escape'
121 121
 
122 122
 # set wallpaper and colors
123
-exec_always --no-startup-id feh --bg-scale ~/.config/wall
123
+exec_always --no-startup-id feh --bg-scale $HOME/.config/wall
124 124
 exec_always --no-startup-id wal -R
125 125
 
126 126
 # application placements
@@ -128,10 +128,10 @@ assign [class="Firefox"] $workspace1
128 128
 assign [class="qutebrowser"] $workspace1
129 129
 
130 130
 # status bar
131
-exec_always --no-startup-id ~/.config/polybar/launch.sh
131
+exec_always --no-startup-id $HOME/.config/polybar/launch.sh
132 132
 
133 133
 # start dual monitor
134
-exec --no-startup-id ~/.config/Scripts/screen.sh d
134
+exec --no-startup-id $HOME/.config/Scripts/screen.sh d
135 135
 
136 136
 # browser
137 137
 exec --no-startup-id $browser
@@ -199,7 +199,7 @@ bindsym $mod+a               focus parent
199 199
 #bindsym $mod+Shift+Control+a
200 200
 
201 201
 bindsym $mod+s               split toggle
202
-bindsym $mod+Shift+s         exec --no-startup-id python2 ~/.config/i3/scripts/workspaceswap.py
202
+bindsym $mod+Shift+s         exec --no-startup-id python2 $HOME/.config/i3/scripts/workspaceswap.py
203 203
 #bindsym $mod+Control+s
204 204
 #bindsym $mod+Shift+Control+s
205 205
 
@@ -209,7 +209,7 @@ bindsym $mod+d               focus child
209 209
 #bindsym $mod+Shift+Control+d
210 210
 
211 211
 bindsym $mod+f               fullscreen toggle
212
-bindsym $mod+Shift+f         exec --no-startup-id python2 ~/.config/i3/scripts/focus.py
212
+bindsym $mod+Shift+f         exec --no-startup-id python2 $HOME/.config/i3/scripts/focus.py
213 213
 #bindsym $mod+Control+f
214 214
 #bindsym $mod+Shift+Control+f
215 215
 
@@ -258,7 +258,7 @@ bindsym $mod+Shift+v         exec --no-startup-id $runner "rtv --no-flash"
258 258
 #bindsym $mod+Control+v
259 259
 #bindsym $mod+Shift+Control+v
260 260
 
261
-bindsym $mod+b               exec --no-startup-id ~/.config/Scripts/dmenuexpand ~/.bookmarks $browser "-i -nb $dmenu-bg-color -nf $dmenu-text-color -sb $dmenu-text-color -sf $dmenu-bg-color" "$dmenu-font"
261
+bindsym $mod+b               exec --no-startup-id $HOME/.config/Scripts/dmenuexpand $HOME/.bookmarks $browser "-i -nb $dmenu-bg-color -nf $dmenu-text-color -sb $dmenu-text-color -sf $dmenu-bg-color" "$dmenu-font"
262 262
 #bindsym $mod+Shift+b
263 263
 #bindsym $mod+Control+b
264 264
 #bindsym $mod+Shift+Control+b
@@ -387,19 +387,19 @@ bindsym $mod+Shift+space                floating toggle
387 387
 # FUNCTION KEYBINDINGS #
388 388
 ########################
389 389
 
390
-bindsym $mod+F1        exec --no-startup-id ~/.config/Scripts/screen.sh l
390
+bindsym $mod+F1        exec --no-startup-id $HOME/.config/Scripts/screen.sh l
391 391
 #bindsym $mod+Shift+F1
392 392
 
393
-bindsym $mod+F2        exec --no-startup-id ~/.config/Scripts/screen.sh r
393
+bindsym $mod+F2        exec --no-startup-id $HOME/.config/Scripts/screen.sh r
394 394
 #bindsym $mod+Shift+F2
395 395
 
396
-bindsym $mod+F3        exec --no-startup-id ~/.config/Scripts/screen.sh d
396
+bindsym $mod+F3        exec --no-startup-id $HOME/.config/Scripts/screen.sh d
397 397
 #bindsym $mod+Shift+F3
398 398
 
399 399
 #bindsym $mod+F4
400 400
 #bindsym $mod+Shift+F4
401 401
 
402
-bindsym $mod+F5        exec --no-startup-id ~/.config/i3/scripts/powersaver
402
+bindsym $mod+F5        exec --no-startup-id $HOME/.config/i3/scripts/powersaver
403 403
 #bindsym $mod+Shift+F5
404 404
 
405 405
 #bindsym $mod+F6
@@ -423,17 +423,17 @@ bindsym $mod+F5        exec --no-startup-id ~/.config/i3/scripts/powersaver
423 423
 #bindsym $mod+F12
424 424
 #bindsym $mod+Shift+F12
425 425
 
426
-bindsym Print                           exec --no-startup-id ~/.config/i3/scripts/i3-scrot -d
427
-bindsym Shift+Print                     exec --no-startup-id ~/.config/i3/scripts/i3-scrot -w
428
-bindsym --release Control+Print         exec --no-startup-id ~/.config/i3/scripts/i3-scrot -s
426
+bindsym Print                           exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -d
427
+bindsym Shift+Print                     exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -w
428
+bindsym --release Control+Print         exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -s
429 429
 
430
-bindsym $mod+Scroll_Lock                exec --no-startup-id ~/.config/i3/scripts/lock/lock.sh
430
+bindsym $mod+Scroll_Lock                exec --no-startup-id $HOME/.config/i3/scripts/lock/lock.sh
431 431
 #bindsym $mod+Shift+Scroll_Lock
432 432
 
433
-bindsym $mod+Pause                      exec --no-startup-id ~/.config/polybar/launch.sh
433
+bindsym $mod+Pause                      exec --no-startup-id $HOME/.config/polybar/launch.sh
434 434
 #bindsym $mod+Shift+Pause
435 435
 
436
-bindsym $mod+Insert                     exec --no-startup-id bash /home/micah/.config/Scripts/screencast
436
+bindsym $mod+Insert                     exec --no-startup-id bash $HOME/.config/Scripts/screencast
437 437
 #bindsym $mod+Shift+Insert
438 438
 
439 439
 bindsym $mod+Delete                     exec --no-startup-id killall ffmpeg & killall screenkey
@@ -463,4 +463,4 @@ bindsym XF86AudioMicMute           exec --no-startup-id pactl set-source-mute  $
463 463
 #bindsym XF86MonBrightnessUp
464 464
 #bindsym XF86MonBrightnessDown
465 465
 
466
-bindsym XF86ScreenSaver                 exec --no-startup-id ~/.config/i3/scripts/lock/lock.sh
466
+bindsym XF86ScreenSaver                 exec --no-startup-id $HOME/.config/i3/scripts/lock/lock.sh

+ 4
- 4
i3-work/.config/i3/scripts/music View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3 3
 i3-msg "workspace 3"
4
-i3-msg "append_layout ~/.config/i3/layouts/music.json"
5
-i3-msg 'exec --no-startup-id urxvt -name mpsyt -e /home/micah/.config/i3/scripts/runner "mpsyt"'
6
-i3-msg 'exec --no-startup-id urxvt -name cava -e /home/micah/.config/i3/scripts/runner "cava"'
7
-i3-msg 'exec --no-startup-id urxvt -name gpymusic -e /home/micah/.config/i3/scripts/runner "gpymusic"'
4
+i3-msg "append_layout $HOME/.config/i3/layouts/music.json"
5
+i3-msg 'exec --no-startup-id urxvt -name mpsyt -e $HOME/.config/i3/scripts/runner "mpsyt"'
6
+i3-msg 'exec --no-startup-id urxvt -name cava -e $HOME/.config/i3/scripts/runner "cava"'
7
+i3-msg 'exec --no-startup-id urxvt -name gpymusic -e $HOME/.config/i3/scripts/runner "gpymusic"'

+ 1
- 1
i3-work/.config/i3/scripts/runner View File

@@ -1,5 +1,5 @@
1 1
 #!/usr/bin/zsh
2 2
 
3
-. ~/.zshrc
3
+. $HOME/.zshrc
4 4
 
5 5
 eval $1

+ 36
- 36
i3/.config/i3/config View File

@@ -5,8 +5,8 @@ floating_modifier $mod
5 5
 # set variables
6 6
 set $browser 'qutebrowser'
7 7
 set $term     'urxvt'
8
-set $cliprog --no-startup-id zsh /home/micah/.config/i3/scripts/cliprog
9
-set $runner  --no-startup-id urxvt -e /home/micah/.config/i3/scripts/runner
8
+set $cliprog --no-startup-id zsh $HOME/.config/i3/scripts/cliprog
9
+set $runner  --no-startup-id urxvt -e $HOME/.config/i3/scripts/runner
10 10
 set $i3exit  "i3-nagbar -t warning -m 'You pressed the exit shortcut. Do you really want to exit i3? This will end your X session.' -b 'Yes, exit i3' 'i3-msg exit'"
11 11
 set $smallwidth 900
12 12
 set $smallheight 640
@@ -139,7 +139,7 @@ for_window [title="video1 - mpv"] border none
139 139
 exec --no-startup-id compton
140 140
 
141 141
 # alternating layout script
142
-#exec --no-startup-id ~/.config/i3/scripts/alternating_layouts.py
142
+#exec --no-startup-id $HOME/.config/i3/scripts/alternating_layouts.py
143 143
 
144 144
 # set up caps lock - press = escape, hold = ctrl
145 145
 exec_always --no-startup-id setxkbmap -option ctrl:nocaps
@@ -149,8 +149,8 @@ exec_always --no-startup-id xcape -e 'Control_L=Escape'
149 149
 exec --no-startup-id xinput set-prop "SynPS/2 Synaptics TouchPad" "Device Enabled" 0
150 150
 
151 151
 # set wallpaper and colors
152
-exec_always --no-startup-id feh --bg-scale ~/.config/wall
153
-exec_always --no-startup-id wal -R -o /home/micah/.config/Scripts/wal-set
152
+exec_always --no-startup-id feh --bg-scale $HOME/.config/wall
153
+exec_always --no-startup-id wal -R -o $HOME/.config/Scripts/wal-set
154 154
 
155 155
 # application placements
156 156
 assign [class="Google-chrome"] $workspace1
@@ -161,10 +161,10 @@ assign [class="Skype"] $workspace4
161 161
 for_window [title="^pdfpc - present"] border none floating enable
162 162
 
163 163
 # status bar
164
-exec_always --no-startup-id ~/.config/polybar/launch.sh
164
+exec_always --no-startup-id $HOME/.config/polybar/launch.sh
165 165
 
166 166
 # start dual monitor
167
-exec --no-startup-id ~/.config/Scripts/screen.sh -r HDMI-2 -p HDMI-3
167
+exec --no-startup-id $HOME/.config/Scripts/screen.sh -r HDMI-2 -p HDMI-3
168 168
 
169 169
 # browser
170 170
 exec --no-startup-id $browser
@@ -202,7 +202,7 @@ bindsym $mod+Shift+t         exec --no-startup-id $cliprog tasks "htop"
202 202
 #bindsym $mod+Shift+Control+t
203 203
 
204 204
 #bindsym $mod+y
205
-bindsym $mod+Shift+y         exec --no-startup-id $term -name mpsyt -e /home/micah/.config/i3/scripts/runner "mpsyt"
205
+bindsym $mod+Shift+y         exec --no-startup-id $term -name mpsyt -e $HOME/.config/i3/scripts/runner "mpsyt"
206 206
 #bindsym $mod+Control+y
207 207
 #bindsym $mod+Shift+Control+y
208 208
 
@@ -217,7 +217,7 @@ bindsym $mod+u               exec --no-startup-id $cliprog dropdown "tmuxinator
217 217
 #bindsym $mod+Shift+Control+i
218 218
 
219 219
 #bindsym $mod+o
220
-bindsym $mod+Shift+o         exec --no-startup-id /home/micah/.config/Scripts/vim-anywhere.sh
220
+bindsym $mod+Shift+o         exec --no-startup-id $HOME/.config/Scripts/vim-anywhere.sh
221 221
 #bindsym $mod+Control+o
222 222
 #bindsym $mod+Shift+Control+o
223 223
 
@@ -232,12 +232,12 @@ bindsym $mod+Shift+a         exec --no-startup-id $cliprog ncpamixer "ncpamixer"
232 232
 #bindsym $mod+Shift+Control+a
233 233
 
234 234
 bindsym $mod+s               split toggle
235
-bindsym $mod+Shift+s         exec --no-startup-id python2 ~/.config/i3/scripts/workspaceswap.py
235
+bindsym $mod+Shift+s         exec --no-startup-id python2 $HOME/.config/i3/scripts/workspaceswap.py
236 236
 #bindsym $mod+Control+s
237 237
 #bindsym $mod+Shift+Control+s
238 238
 
239 239
 bindsym $mod+d               focus child
240
-bindsym $mod+Shift+d         exec --no-startup-id zsh /home/micah/.config/i3/scripts/dirty
240
+bindsym $mod+Shift+d         exec --no-startup-id zsh $HOME/.config/i3/scripts/dirty
241 241
 #bindsym $mod+Control+d
242 242
 #bindsym $mod+Shift+Control+d
243 243
 
@@ -247,9 +247,9 @@ bindsym $mod+Shift+f         exec --no-startup-id firefox
247 247
 #bindsym $mod+Shift+Control+f
248 248
 
249 249
 #bindsym $mod+g
250
-bindsym $mod+Shift+g         exec --no-startup-id zsh /home/micah/.config/i3/scripts/music
250
+bindsym $mod+Shift+g         exec --no-startup-id zsh $HOME/.config/i3/scripts/music
251 251
 #bindsym $mod+Control+g
252
-bindsym $mod+Shift+Control+g exec --no-startup-id killall gpymusic & killall mpsyt & killall cava & echo '' > /home/micah/.nowplaying
252
+bindsym $mod+Shift+Control+g exec --no-startup-id killall gpymusic & killall mpsyt & killall cava & echo '' > $HOME/.nowplaying
253 253
 
254 254
 bindsym $mod+h               focus left
255 255
 bindsym $mod+Shift+h         move left
@@ -291,7 +291,7 @@ bindsym $mod+Shift+v         exec --no-startup-id $runner "rtv --no-flash"
291 291
 #bindsym $mod+Control+v
292 292
 #bindsym $mod+Shift+Control+v
293 293
 
294
-bindsym $mod+b               exec --no-startup-id ~/.config/Scripts/dmenuexpand ~/.bookmarks $browser "-i -nb $dmenu-bg-color -nf $dmenu-text-color -sb $dmenu-text-color -sf $dmenu-bg-color" "$dmenu-font"
294
+bindsym $mod+b               exec --no-startup-id $HOME/.config/Scripts/dmenuexpand $HOME/.bookmarks $browser "-i -nb $dmenu-bg-color -nf $dmenu-text-color -sb $dmenu-text-color -sf $dmenu-bg-color" "$dmenu-font"
295 295
 #bindsym $mod+Shift+b
296 296
 #bindsym $mod+Control+b
297 297
 #bindsym $mod+Shift+Control+b
@@ -302,7 +302,7 @@ bindsym $mod+Shift+n         exec --no-startup-id $runner "newsboat"
302 302
 #bindsym $mod+Shift+Control+n
303 303
 
304 304
 bindsym $mod+m               exec --no-startup-id $cliprog email "neomutt"
305
-bindsym $mod+Shift+m         exec --no-startup-id $term -name gpymusic -e /home/micah/.config/i3/scripts/runner "gpymusic"
305
+bindsym $mod+Shift+m         exec --no-startup-id $term -name gpymusic -e $HOME/.config/i3/scripts/runner "gpymusic"
306 306
 #bindsym $mod+Control+m
307 307
 bindsym $mod+Shift+Control+m exec --no-startup-id amixer -D pulse sset Master toggle
308 308
 
@@ -388,7 +388,7 @@ bindsym $mod+Shift+backslash            exec --no-startup-id networkmanager_dmen
388 388
 #bindsym $mod+Shift+Control+backslash
389 389
 
390 390
 #bindsym $mod+semicolon
391
-bindsym $mod+Shift+semicolon            exec --no-startup-id $term -name cava -e /home/micah/.config/i3/scripts/runner "cava"
391
+bindsym $mod+Shift+semicolon            exec --no-startup-id $term -name cava -e $HOME/.config/i3/scripts/runner "cava"
392 392
 #bindsym $mod+Shift+Control+semicolon
393 393
 
394 394
 #bindsym $mod+apostrophe
@@ -413,26 +413,26 @@ bindsym $mod+Shift+Return               exec --no-startup-id j4-dmenu-desktop --
413 413
 
414 414
 bindsym $mod+space                      focus mode_toggle
415 415
 bindsym $mod+Shift+space                floating toggle
416
-bindsym $mod+Shift+Control+space        exec --no-startup-id echo "cycle pause" > ~/.config/mpv/control
416
+bindsym $mod+Shift+Control+space        exec --no-startup-id echo "cycle pause" > $HOME/.config/mpv/control
417 417
 
418 418
 
419 419
 ########################
420 420
 # FUNCTION KEYBINDINGS #
421 421
 ########################
422 422
 
423
-bindsym $mod+F1        exec --no-startup-id ~/.config/Scripts/screen.sh HDMI-3
423
+bindsym $mod+F1        exec --no-startup-id $HOME/.config/Scripts/screen.sh HDMI-3
424 424
 #bindsym $mod+Shift+F1
425 425
 
426
-bindsym $mod+F2        exec --no-startup-id ~/.config/Scripts/screen.sh HDMI-2
426
+bindsym $mod+F2        exec --no-startup-id $HOME/.config/Scripts/screen.sh HDMI-2
427 427
 #bindsym $mod+Shift+F2
428 428
 
429
-bindsym $mod+F3        exec --no-startup-id ~/.config/Scripts/screen.sh -r HDMI-2 HDMI-3
430
-bindsym $mod+Shift+F3  exec --no-startup-id ~/.config/Scripts/screen.sh -r HDMI-2 -p HDMI-3
429
+bindsym $mod+F3        exec --no-startup-id $HOME/.config/Scripts/screen.sh -r HDMI-2 HDMI-3
430
+bindsym $mod+Shift+F3  exec --no-startup-id $HOME/.config/Scripts/screen.sh -r HDMI-2 -p HDMI-3
431 431
 
432
-bindsym $mod+F4        exec --no-startup-id ~/.config/Scripts/screen.sh LVDS-1
432
+bindsym $mod+F4        exec --no-startup-id $HOME/.config/Scripts/screen.sh LVDS-1
433 433
 #bindsym $mod+Shift+F4
434 434
 
435
-bindsym $mod+F5        exec --no-startup-id ~/.config/i3/scripts/powersaver
435
+bindsym $mod+F5        exec --no-startup-id $HOME/.config/i3/scripts/powersaver
436 436
 #bindsym $mod+Shift+F5
437 437
 
438 438
 #bindsym $mod+F6
@@ -453,21 +453,21 @@ bindsym $mod+F5        exec --no-startup-id ~/.config/i3/scripts/powersaver
453 453
 #bindsym $mod+F11
454 454
 #bindsym $mod+Shift+F11
455 455
 
456
-bindsym $mod+F12                        exec --no-startup-id ~/.config/i3/scripts/toggletrackpad
456
+bindsym $mod+F12                        exec --no-startup-id $HOME/.config/i3/scripts/toggletrackpad
457 457
 #bindsym $mod+Shift+F12
458 458
 
459
-bindsym Print                           exec --no-startup-id ~/.config/i3/scripts/i3-scrot -d
460
-bindsym Shift+Print                     exec --no-startup-id ~/.config/i3/scripts/i3-scrot -w
461
-bindsym --release Control+Print         exec --no-startup-id ~/.config/i3/scripts/i3-scrot -s
462
-bindsym  Shift+Control+Print               exec --no-startup-id ~/.config/i3/scripts/camtoggle
459
+bindsym Print                           exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -d
460
+bindsym Shift+Print                     exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -w
461
+bindsym --release Control+Print         exec --no-startup-id $HOME/.config/i3/scripts/i3-scrot -s
462
+bindsym  Shift+Control+Print               exec --no-startup-id $HOME/.config/i3/scripts/camtoggle
463 463
 
464
-bindsym $mod+Scroll_Lock                exec --no-startup-id ~/.config/Scripts/lock/lock.sh
464
+bindsym $mod+Scroll_Lock                exec --no-startup-id $HOME/.config/Scripts/lock/lock.sh
465 465
 #bindsym $mod+Shift+Scroll_Lock
466 466
 
467
-bindsym $mod+Pause                      exec --no-startup-id ~/.config/polybar/launch.sh
467
+bindsym $mod+Pause                      exec --no-startup-id $HOME/.config/polybar/launch.sh
468 468
 #bindsym $mod+Shift+Pause
469 469
 
470
-bindsym $mod+Insert                     exec --no-startup-id bash /home/micah/.config/Scripts/screencast
470
+bindsym $mod+Insert                     exec --no-startup-id bash $HOME/.config/Scripts/screencast
471 471
 #bindsym $mod+Shift+Insert
472 472
 
473 473
 bindsym $mod+Delete                     exec --no-startup-id killall ffmpeg & killall screenkey
@@ -490,13 +490,13 @@ bindsym XF86AudioRaiseVolume            exec --no-startup-id amixer -D pulse sse
490 490
 bindsym XF86AudioMute                   exec --no-startup-id amixer -D pulse sset Master toggle
491 491
 bindsym XF86AudioMicMute           exec --no-startup-id pactl set-source-mute  $(pacmd list-sources|awk '/\* index:/{ print $3 }') toggle
492 492
 
493
-bindsym XF86AudioPause                  exec --no-startup-id echo "cycle pause" > ~/.config/mpv/control
494
-bindsym XF86AudioNext                   exec --no-startup-id echo "playlist-next" > ~/.config/mpv/control
495
-bindsym XF86AudioPrev                   exec --no-startup-id echo "playlist-prev" > ~/.config/mpv/control
493
+bindsym XF86AudioPause                  exec --no-startup-id echo "cycle pause" > $HOME/.config/mpv/control
494
+bindsym XF86AudioNext                   exec --no-startup-id echo "playlist-next" > $HOME/.config/mpv/control
495
+bindsym XF86AudioPrev                   exec --no-startup-id echo "playlist-prev" > $HOME/.config/mpv/control
496 496
 
497 497
 bindsym XF86MonBrightnessUp             exec --no-startup-id light -A 10
498 498
 bindsym XF86MonBrightnessDown           exec --no-startup-id light -U 10
499 499
 
500
-bindsym XF86ScreenSaver                 exec --no-startup-id ~/.config/Scripts/lock/lock.sh
500
+bindsym XF86ScreenSaver                 exec --no-startup-id $HOME/.config/Scripts/lock/lock.sh
501 501
 
502
-bindsym XF86Launch1                     exec --no-startup-id ~/.config/polybar/launch.sh
502
+bindsym XF86Launch1                     exec --no-startup-id $HOME/.config/polybar/launch.sh

+ 3
- 3
i3/.config/i3/scripts/dirty View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3 3
 i3-msg "workspace 2"
4
-i3-msg "append_layout ~/.config/i3/layouts/dirty.json"
5
-i3-msg 'exec --no-startup-id urxvt -name asciiquarium -e /home/micah/.config/i3/scripts/runner "asciiquarium"'
6
-i3-msg 'exec --no-startup-id urxvt -name cmatrix -e /home/micah/.config/i3/scripts/runner "cmatrix"'
4
+i3-msg "append_layout $HOME/.config/i3/layouts/dirty.json"
5
+i3-msg 'exec --no-startup-id urxvt -name asciiquarium -e $HOME/.config/i3/scripts/runner "asciiquarium"'
6
+i3-msg 'exec --no-startup-id urxvt -name cmatrix -e $HOME/.config/i3/scripts/runner "cmatrix"'
7 7
 i3-msg 'exec --no-startup-id urxvt -name urxvt'

+ 4
- 4
i3/.config/i3/scripts/music View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3 3
 i3-msg "workspace 3"
4
-i3-msg "append_layout ~/.config/i3/layouts/music.json"
5
-i3-msg 'exec --no-startup-id urxvt -name mpsyt -e /home/micah/.config/i3/scripts/runner "mpsyt"'
6
-i3-msg 'exec --no-startup-id urxvt -name cava -e /home/micah/.config/i3/scripts/runner "cava"'
7
-i3-msg 'exec --no-startup-id urxvt -name gpymusic -e /home/micah/.config/i3/scripts/runner "gpymusic"'
4
+i3-msg "append_layout $HOME/.config/i3/layouts/music.json"
5
+i3-msg 'exec --no-startup-id urxvt -name mpsyt -e $HOME/.config/i3/scripts/runner "mpsyt"'
6
+i3-msg 'exec --no-startup-id urxvt -name cava -e $HOME/.config/i3/scripts/runner "cava"'
7
+i3-msg 'exec --no-startup-id urxvt -name gpymusic -e $HOME/.config/i3/scripts/runner "gpymusic"'

+ 1
- 1
i3/.config/i3/scripts/runner View File

@@ -1,5 +1,5 @@
1 1
 #!/usr/bin/zsh
2 2
 
3
-. ~/.zshrc
3
+. $HOME/.zshrc
4 4
 
5 5
 eval $1

+ 4
- 4
khal/.config/khal/academicconfig View File

@@ -5,21 +5,21 @@ highlight_event_days = True
5 5
 
6 6
 [calendars]
7 7
   [[GT Schedule]]
8
-    path = ~/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
8
+    path = $HOME/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
9 9
     color = brown
10 10
 
11 11
   [[Tribe]]
12
-    path = ~/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
12
+    path = $HOME/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
13 13
     color = dark blue
14 14
     readonly = True
15 15
 
16 16
   [[Georgia Tech Academic Calendar]]
17
-    path = ~/.Calendar/Gcal/k183h47bi8p0494t36spls4bn2q74kk6@import.calendar.google.com
17
+    path = $HOME/.Calendar/Gcal/k183h47bi8p0494t36spls4bn2q74kk6@import.calendar.google.com
18 18
     color = yellow
19 19
     readonly = True
20 20
 
21 21
   [[Holidays]]
22
-    path = ~/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
22
+    path = $HOME/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
23 23
     color = dark magenta
24 24
     readonly = True
25 25
 

+ 6
- 6
khal/.config/khal/config View File

@@ -5,30 +5,30 @@ highlight_event_days = True
5 5
 
6 6
 [calendars]
7 7
   [[GT Schedule]]
8
-    path = ~/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
8
+    path = $HOME/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
9 9
     color = brown
10 10
 
11 11
   [[Chloe]]
12
-    path = ~/.Calendar/Gcal/chloe.fang97@gmail.com
12
+    path = $HOME/.Calendar/Gcal/chloe.fang97@gmail.com
13 13
     color = dark green
14 14
     readonly = True
15 15
 
16 16
   [[Tribe]]
17
-    path = ~/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
17
+    path = $HOME/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
18 18
     color = dark blue
19 19
     readonly = True
20 20
 
21 21
   [[Micah]]
22
-    path = ~/.Calendar/Gcal/mhalter3378@gmail.com
22
+    path = $HOME/.Calendar/Gcal/mhalter3378@gmail.com
23 23
     color = light blue
24 24
 
25 25
   [[Family]]
26
-    path = ~/.Calendar/Gcal/family13611266242384238142@group.calendar.google.com
26
+    path = $HOME/.Calendar/Gcal/family13611266242384238142@group.calendar.google.com
27 27
     color = dark cyan
28 28
     readonly = True
29 29
 
30 30
   [[Holidays]]
31
-    path = ~/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
31
+    path = $HOME/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
32 32
     color = dark magenta
33 33
     readonly = True
34 34
 

+ 7
- 7
khal/.config/khal/fullconfig View File

@@ -5,35 +5,35 @@ highlight_event_days = True
5 5
 
6 6
 [calendars]
7 7
   [[GT Schedule]]
8
-    path = ~/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
8
+    path = $HOME/.Calendar/Gcal/kqa17ut755b56qk9c887nenh2c@group.calendar.google.com
9 9
     color = brown
10 10
 
11 11
   [[Chloe]]
12
-    path = ~/.Calendar/Gcal/chloe.fang97@gmail.com
12
+    path = $HOME/.Calendar/Gcal/chloe.fang97@gmail.com
13 13
     color = dark green
14 14
     readonly = True
15 15
 
16 16
   [[Tribe]]
17
-    path = ~/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
17
+    path = $HOME/.Calendar/Gcal/euo2u43omi9i1emci84sdgcq78@group.calendar.google.com
18 18
     color = dark blue
19 19
     readonly = True
20 20
 
21 21
   [[Micah]]
22
-    path = ~/.Calendar/Gcal/mhalter3378@gmail.com
22
+    path = $HOME/.Calendar/Gcal/mhalter3378@gmail.com
23 23
     color = light blue
24 24
 
25 25
   [[Family]]
26
-    path = ~/.Calendar/Gcal/family13611266242384238142@group.calendar.google.com
26
+    path = $HOME/.Calendar/Gcal/family13611266242384238142@group.calendar.google.com
27 27
     color = dark cyan
28 28
     readonly = True
29 29
 
30 30
   [[Holidays]]
31
-    path = ~/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
31
+    path = $HOME/.Calendar/Gcal/cln2stbjc4hmgrrcd5i62ua0ctp6utbg5pr2sor1dhimsp31e8n6errfctm6abj3dtmg@virtual
32 32
     color = dark magenta
33 33
     readonly = True
34 34
 
35 35
   [[Georgia Tech Academic Calendar]]
36
-    path = ~/.Calendar/Gcal/k183h47bi8p0494t36spls4bn2q74kk6@import.calendar.google.com
36
+    path = $HOME/.Calendar/Gcal/k183h47bi8p0494t36spls4bn2q74kk6@import.calendar.google.com
37 37
     color = light gray
38 38
     readonly = True
39 39
 

+ 0
- 1
khard/.config/khard/khard.conf View File

@@ -38,4 +38,3 @@ preferred_version = 3.0
38 38
 search_in_source_files = yes
39 39
 # skip unparsable vcard files: yes / no
40 40
 skip_unparsable = no
41
-

+ 2
- 2
msmtp/.msmtprc View File

@@ -10,7 +10,7 @@ tls_trust_file /etc/ssl/certs/ca-certificates.crt
10 10
 account gmail
11 11
 from micah@mehalter.com
12 12
 user mhalter3378@gmail.com
13
-passwordeval "gpg2 --passphrase-file /home/micah/.gnupg/passphrase --quiet --for-your-eyes-only --no-tty --decrypt ~/.mail-gmailunsecure-passwd.gpg"
13
+passwordeval "gpg2 --passphrase-file $HOME/.gnupg/passphrase --quiet --for-your-eyes-only --no-tty --decrypt $HOME/.mail-gmailunsecure-passwd.gpg"
14 14
 host smtp.gmail.com
15 15
 port 587
16 16
 
@@ -18,6 +18,6 @@ port 587
18 18
 account gatech
19 19
 from mehalter@gatech.edu
20 20
 user mhalter3@gatech.edu
21
-passwordeval "gpg2 --passphrase-file /home/micah/.gnupg/passphrase --quiet --for-your-eyes-only --no-tty --decrypt ~/.mail-gatech-passwd.gpg"
21
+passwordeval "gpg2 --passphrase-file $HOME/.gnupg/passphrase --quiet --for-your-eyes-only --no-tty --decrypt $HOME/.mail-gatech-passwd.gpg"
22 22
 host outlook.office365.com
23 23
 port 587

+ 2
- 2
mutt/.config/mutt/gatechrc View File

@@ -4,14 +4,14 @@ set realname = "Micah Halter"
4 4
 set from = "mehalter@gatech.edu"
5 5
 set mbox_type = Maildir
6 6
 set sendmail = "/usr/bin/msmtp -a gatech"
7
-set folder = "~/.Mail/Gatech"
7
+set folder = "$HOME/.Mail/Gatech"
8 8
 
9 9
 
10 10
 set spoolfile = "+INBOX"
11 11
 set record = "+Sent Items"
12 12
 set postponed = "+Drafts"
13 13
 
14
-macro index S '<sync-mailbox><enter-command>source ~/.config/mutt/gmailrc<enter><change-folder>!<enter>'
14
+macro index S '<sync-mailbox><enter-command>source $HOME/.config/mutt/gmailrc<enter><change-folder>!<enter>'
15 15
 
16 16
 macro index i "<shell-escape>offlineimap -q -a gatech -f INBOX<enter>" "sync current inbox"
17 17
 macro index I "<shell-escape>offlineimap -q -a gatech<enter>" "sync current inbox"

+ 2
- 2
mutt/.config/mutt/gmailrc View File

@@ -4,14 +4,14 @@ set realname = "Micah Halter"
4 4
 set from = "micah@mehalter.com"
5 5
 set mbox_type = Maildir
6 6
 set sendmail = "/usr/bin/msmtp -a gmail"
7
-set folder = "~/.Mail/Gmail"
7
+set folder = "$HOME/.Mail/Gmail"
8 8
 
9 9
 set spoolfile = "+INBOX"
10 10
 set record = /dev/null
11 11
 set mbox = "+[Gmail].other"
12 12
 set postponed = "+[Gmail].Drafts"
13 13
 
14
-macro index S '<sync-mailbox><enter-command>source ~/.config/mutt/gatechrc<enter><change-folder>!<enter>'
14
+macro index S '<sync-mailbox><enter-command>source $HOME/.config/mutt/gatechrc<enter><change-folder>!<enter>'
15 15
 
16 16
 macro index i "<shell-escape>offlineimap -q -a gmail -f INBOX<enter>" "sync current inbox"
17 17
 macro index I "<shell-escape>offlineimap -q -a gmail<enter>" "sync current inbox"

+ 1
- 1
mutt/.config/mutt/mailcap View File

@@ -2,4 +2,4 @@ text/html; w3m -I %{charset} -T text/html; copiousoutput;
2 2
 
3 3
 text/html; mv %s %s.html && qutebrowser %s.html > /dev/null; needsterminal;
4 4
 
5
-image/*; ~/.config/mutt/muttimage.sh %s ; copiousoutput
5
+image/*; $HOME/.config/mutt/muttimage.sh %s ; copiousoutput

+ 5
- 5
mutt/.config/mutt/muttrc View File

@@ -1,14 +1,14 @@
1
-source ~/.config/mutt/gmailrc
2
-source ~/.config/mutt/muttcol
3
-source ~/.config/mutt/aliases
1
+source $HOME/.config/mutt/gmailrc
2
+source $HOME/.config/mutt/muttcol
3
+source $HOME/.config/mutt/aliases
4 4
 
5 5
 set editor = vim
6 6
 set timeout = "5"
7 7
 set mail_check = "10"
8
-set mailcap_path = ~/.config/mutt/mailcap
8
+set mailcap_path = $HOME/.config/mutt/mailcap
9 9
 set date_format="%m/%d %I:%M"
10 10
 set index_format="%?M?+& ?%2M %2C %Z %d %-15.15F %s (%-4.4c)"
11
-set signature = ~/.config/mutt/signature
11
+set signature = $HOME/.config/mutt/signature
12 12
 
13 13
 # Threads
14 14
 set sort = 'threads'

+ 1
- 1
neofetch/.config/neofetch/config View File

@@ -614,7 +614,7 @@ image_loop="off"
614 614
 
615 615
 # Thumbnail directory
616 616
 #
617
-# Default: '~/.cache/thumbnails/neofetch'
617
+# Default: '$HOME/.cache/thumbnails/neofetch'
618 618
 # Values:  'dir'
619 619
 thumbnail_dir="${XDG_CACHE_HOME:-${HOME}/.cache}/thumbnails/neofetch"
620 620
 

+ 4
- 4
neovim/.config/nvim/init.vim View File

@@ -2,7 +2,7 @@
2 2
 " => Plug
3 3
 """"""""""""""""""""""""""""
4 4
 
5
-call plug#begin('~/.config/nvim/plugged-remote')
5
+call plug#begin('$HOME/.config/nvim/plugged-remote')
6 6
 Plug 'https://github.com/dhruvasagar/vim-table-mode'
7 7
 Plug 'https://github.com/dylanaraps/wal.vim'
8 8
 Plug 'https://github.com/edkolev/tmuxline.vim'
@@ -10,7 +10,7 @@ Plug 'https://github.com/fatih/vim-go', { 'do': ':GoUpdateBinaries' }
10 10
 Plug 'https://github.com/glts/vim-textobj-comment'
11 11
 Plug 'https://github.com/honza/vim-snippets'
12 12
 Plug 'https://github.com/itchyny/lightline.vim'
13
-Plug 'https://github.com/junegunn/fzf', { 'dir': '~/.fzf', 'do': './install --all' }
13
+Plug 'https://github.com/junegunn/fzf', { 'dir': '$HOME/.fzf', 'do': './install --all' }
14 14
 Plug 'https://github.com/junegunn/fzf.vim'
15 15
 Plug 'https://github.com/junegunn/goyo.vim'
16 16
 Plug 'https://github.com/kana/vim-textobj-indent'
@@ -63,7 +63,7 @@ augroup startup
63 63
 augroup END
64 64
 " persistent undo
65 65
 try
66
-  set undodir=~/.undodir
66
+  set undodir=$HOME/.undodir
67 67
   set undofile
68 68
 catch
69 69
 endtry
@@ -399,7 +399,7 @@ augroup END
399 399
 
400 400
 " Auto build configs on edit of certain files
401 401
 augroup shortcuts
402
-  autocmd BufWritePost ~/dotfiles/scripts/.config/Scripts/configs,~/dotfiles/scripts/.config/Scripts/folders !bash ~/.config/Scripts/shortcuts.sh
402
+  autocmd BufWritePost $HOME/dotfiles/scripts/.config/Scripts/configs,$HOME/dotfiles/scripts/.config/Scripts/folders !bash $HOME/.config/Scripts/shortcuts.sh
403 403
 augroup END
404 404
 
405 405
 " Markdown Settings

+ 3
- 3
offlineimap/.offlineimaprc View File

@@ -3,7 +3,7 @@ accounts = gmail, gatech
3 3
 starttls = yes
4 4
 ssl = yes
5 5
 autorefresh = 1
6
-pythonfile = ~/.offlineimap.py
6
+pythonfile = $HOME/.offlineimap.py
7 7
 
8 8
 
9 9
 [Account gmail]
@@ -20,7 +20,7 @@ sslcacertfile = /etc/ssl/certs/ca-certificates.crt
20 20
 
21 21
 [Repository gmail-local]
22 22
 type = Maildir
23
-localfolders = ~/.Mail/Gmail
23
+localfolders = $HOME/.Mail/Gmail
24 24
 
25 25
 
26 26
 [Account gatech]
@@ -38,4 +38,4 @@ sslcacertfile = /etc/ssl/certs/ca-certificates.crt
38 38
 
39 39
 [Repository gatech-local]
40 40
 type = Maildir
41
-localfolders = ~/.Mail/Gatech
41
+localfolders = $HOME/.Mail/Gatech

+ 1
- 1
offlineimap/.offlineimapsync.sh View File

@@ -1,6 +1,6 @@
1 1
 #!/bin/bash
2 2
 
3
-imapserver=$(cat ~/.offlineimaprc | grep remotehost | awk '{print $3}')
3
+imapserver=$(cat $HOME/.offlineimaprc | grep remotehost | awk '{print $3}')
4 4
 imapactive=$(ps -ef | grep '/usr/bin/[o]fflineimap' | wc -l)
5 5
 netactive=$(ping -c3 $imapserver > /dev/null 2>&1 && echo up || echo down)
6 6
 

+ 2
- 2
polybar-work/.config/polybar/scripts/mail View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3
-if [[ -d ~/.Mail ]]; then
4
-  out=$(find ~/.Mail/Gatech/INBOX/new ~/.Mail/Gmail/INBOX/new -type f|wc -l)
3
+if [[ -d $HOME/.Mail ]]; then
4
+  out=$(find $HOME/.Mail/Gatech/INBOX/new $HOME/.Mail/Gmail/INBOX/new -type f|wc -l)
5 5
 
6 6
   if [ "$out" != "0" ]; then
7 7
     echo $out

+ 2
- 2
polybar-work/.config/polybar/scripts/music View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3
-if [[ -f ~/.nowplaying ]]; then
4
-  full=`cat ~/.nowplaying`
3
+if [[ -f $HOME/.nowplaying ]]; then
4
+  full=`cat $HOME/.nowplaying`
5 5
   if [ "$full" != "" ]; then
6 6
       title=`echo "$full"|cut -d '-' -f 1|cut -d ' ' -f 2-|xargs -0`
7 7
       artist=`echo "$full"|cut -d '-' -f 2|xargs -0`

+ 2
- 2
polybar/.config/polybar/scripts/mail View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3
-if [[ -d ~/.Mail ]]; then
4
-  out=$(find ~/.Mail/Gatech/INBOX/new ~/.Mail/Gmail/INBOX/new -type f|wc -l)
3
+if [[ -d $HOME/.Mail ]]; then
4
+  out=$(find $HOME/.Mail/Gatech/INBOX/new $HOME/.Mail/Gmail/INBOX/new -type f|wc -l)
5 5
 
6 6
   if [ "$out" != "0" ]; then
7 7
     echo $out

+ 2
- 2
polybar/.config/polybar/scripts/music View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/bash
2 2
 
3
-if [[ -f ~/.nowplaying ]]; then
4
-  full=`cat ~/.nowplaying`
3
+if [[ -f $HOME/.nowplaying ]]; then
4
+  full=`cat $HOME/.nowplaying`
5 5
   if [ "$full" != "" ]; then
6 6
       title=`echo "$full"|cut -d '-' -f 1|cut -d ' ' -f 2-|xargs -0`
7 7
       artist=`echo "$full"|cut -d '-' -f 2|xargs -0`

+ 1
- 1
ranger-work/.config/ranger/commands.py View File

@@ -99,7 +99,7 @@ class pingo(Command):
99 99
     def execute(self):
100 100
         import subprocess
101 101
         import os.path
102
-        command="cat ~/.pins|fzf -n 1|awk '{print $1 \":\" $2}'"
102
+        command="cat $HOME/.pins|fzf -n 1|awk '{print $1 \":\" $2}'"
103 103
         fzf = self.fm.execute_command(command, stdout=subprocess.PIPE)
104 104
         stdout, stderr = fzf.communicate()
105 105
         if fzf.returncode == 0:

+ 7
- 7
ranger-work/.config/ranger/rc.conf View File

@@ -4,7 +4,7 @@ set column_ratios 1,3,4
4 4
 set hidden_filter ^\.|\.(?:pyc|vrb|pyo|bak|swp|aux|log|nav|out|snm|toc|bcf|run\.xml|synctex\.gz|blg|bbl)$|^lost\+found$|^__(py)?cache__$
5 5
 set show_hidden false
6 6
 set confirm_on_delete multiple
7
-set preview_script ~/.config/ranger/scope.sh
7
+set preview_script $HOME/.config/ranger/scope.sh
8 8
 set use_preview_script true
9 9
 set automatically_count_files true
10 10
 set open_all_images true
@@ -438,7 +438,7 @@ copytmap <ESC> q Q w <C-c>
438 438
 # General
439 439
 map vi console shell vim%space
440 440
 map mkd console mkdir%space
441
-map x shell ~/.config/Scripts/extract %f
441
+map x shell $HOME/.config/Scripts/extract %f
442 442
 map Z shell tar -cvzf %f.tar.gz %s
443 443
 map <C-f> fzf_select
444 444
 
@@ -448,12 +448,12 @@ map pg pingo
448 448
 # Document
449 449
 map MP shell pandoc %f --latex-engine=xelatex -o %f.pdf
450 450
 map ML shell rubber -m xelatex %f
451
-map Txa console shell cp ~/data/Documents/LaTeX/templates/article.tex%space
452
-map Txb console shell cp ~/data/Documents/LaTeX/templates/beamer.tex%space
451
+map Txa console shell cp $HOME/data/Documents/LaTeX/templates/article.tex%space
452
+map Txb console shell cp $HOME/data/Documents/LaTeX/templates/beamer.tex%space
453 453
 
454 454
 # Image
455
-map bg shell \cp -f %f ~/.config/wall && \cp -f %f /usr/share/wallpaper/wall && feh --bg-scale %f
456
-map bw shell wal -g -c -i %f -o /home/micah/.config/Scripts/wal-set && \cp -f %f ~/.config/wall && \cp -f %f /usr/share/wallpaper/wall
455
+map bg shell \cp -f %f $HOME/.config/wall && \cp -f %f /usr/share/wallpaper/wall && feh --bg-scale %f
456
+map bw shell wal -g -c -i %f -o $HOME/.config/Scripts/wal-set && \cp -f %f $HOME/.config/wall && \cp -f %f /usr/share/wallpaper/wall
457 457
 map C shell convert -rotate 90 %s %s
458 458
 map F shell convert -flop %s %s
459 459
 
@@ -463,4 +463,4 @@ map yta console shell youtube-dl -xic%space
463 463
 map arc console shell aria2c%space
464 464
 
465 465
 # External Shortcuts
466
-source ~/.config/ranger/shortcuts.conf
466
+source $HOME/.config/ranger/shortcuts.conf

+ 53
- 53
ranger-work/.config/ranger/shortcuts.conf View File

@@ -3,18 +3,18 @@ map gb cd -
3 3
 map tb tab_new -
4 4
 map mb shell mv %s -
5 5
 map Yb shell cp -r %s -
6
-map gcf cd ~/.config
7
-map tcf tab_new ~/.config
8
-map mcf shell mv %s ~/.config
9
-map Ycf shell cp -r %s ~/.config
10
-map gd cd ~/Documents
11
-map td tab_new ~/Documents
12
-map md shell mv %s ~/Documents
13
-map Yd shell cp -r %s ~/Documents
14
-map gD cd ~/Downloads
15
-map tD tab_new ~/Downloads
16
-map mD shell mv %s ~/Downloads
17
-map YD shell cp -r %s ~/Downloads
6
+map gcf cd $HOME/.config
7
+map tcf tab_new $HOME/.config
8
+map mcf shell mv %s $HOME/.config
9
+map Ycf shell cp -r %s $HOME/.config
10
+map gd cd $HOME/Documents
11
+map td tab_new $HOME/Documents
12
+map md shell mv %s $HOME/Documents
13
+map Yd shell cp -r %s $HOME/Documents
14
+map gD cd $HOME/Downloads
15
+map tD tab_new $HOME/Downloads
16
+map mD shell mv %s $HOME/Downloads
17
+map YD shell cp -r %s $HOME/Downloads
18 18
 map ge cd /etc
19 19
 map te tab_new /etc
20 20
 map me shell mv %s /etc
@@ -23,56 +23,56 @@ map gh cd ~
23 23
 map th tab_new ~
24 24
 map mh shell mv %s ~
25 25
 map Yh shell cp -r %s ~
26
-map gm cd ~/Music
27
-map tm tab_new ~/Music
28
-map mm shell mv %s ~/Music
29
-map Ym shell cp -r %s ~/Music
26
+map gm cd $HOME/Music
27
+map tm tab_new $HOME/Music
28
+map mm shell mv %s $HOME/Music
29
+map Ym shell cp -r %s $HOME/Music
30 30
 map go cd /opt
31 31
 map to tab_new /opt
32 32
 map mo shell mv %s /opt
33 33
 map Yo shell cp -r %s /opt
34
-map gp cd ~/Pictures
35
-map tp tab_new ~/Pictures
36
-map mp shell mv %s ~/Pictures
37
-map Yp shell cp -r %s ~/Pictures
34
+map gp cd $HOME/Pictures
35
+map tp tab_new $HOME/Pictures
36
+map mp shell mv %s $HOME/Pictures
37
+map Yp shell cp -r %s $HOME/Pictures
38 38
 map gr cd /
39 39
 map tr tab_new /
40 40
 map mr shell mv %s /
41 41
 map Yr shell cp -r %s /
42
-map gs cd ~/Documents/School-Work
43
-map ts tab_new ~/Documents/School-Work
44
-map ms shell mv %s ~/Documents/School-Work
45
-map Ys shell cp -r %s ~/Documents/School-Work
46
-map gS cd ~/.config/Scripts
47
-map tS tab_new ~/.config/Scripts
48
-map mS shell mv %s ~/.config/Scripts
49
-map YS shell cp -r %s ~/.config/Scripts
42
+map gs cd $HOME/Documents/School-Work
43
+map ts tab_new $HOME/Documents/School-Work
44
+map ms shell mv %s $HOME/Documents/School-Work
45
+map Ys shell cp -r %s $HOME/Documents/School-Work
46
+map gS cd $HOME/.config/Scripts
47
+map tS tab_new $HOME/.config/Scripts
48
+map mS shell mv %s $HOME/.config/Scripts
49
+map YS shell cp -r %s $HOME/.config/Scripts
50 50
 map gu cd /usr
51 51
 map tu tab_new /usr
52 52
 map mu shell mv %s /usr
53 53
 map Yu shell cp -r %s /usr
54
-map gv cd ~/Videos
55
-map tv tab_new ~/Videos
56
-map mv shell mv %s ~/Videos
57
-map Yv shell cp -r %s ~/Videos
58
-map gwp cd ~/Pictures/wallpapers
59
-map twp tab_new ~/Pictures/wallpapers
60
-map mwp shell mv %s ~/Pictures/wallpapers
61
-map Ywp shell cp -r %s ~/Pictures/wallpapers
62
-map g.f cd ~/dotfiles
63
-map t.f tab_new ~/dotfiles
64
-map m.f shell mv %s ~/dotfiles
65
-map Y.f shell cp -r %s ~/dotfiles
66
-map cfa shell nvim ~/.zsh_aliases
67
-map cfb shell nvim ~/.bashrc
68
-map cfcf shell nvim ~/.config/Scripts/configs
69
-map cff shell nvim ~/.config/Scripts/folders
70
-map cfi shell nvim ~/.config/i3/config
71
-map cfp shell nvim ~/.config/polybar/config
72
-map cfq shell nvim ~/.config/qutebrowser/config.py
73
-map cfr shell nvim ~/.config/ranger/rc.conf
74
-map cft shell nvim ~/.tmux.conf
75
-map cfv shell nvim ~/.config/nvim/init.vim
76
-map cfx shell nvim ~/.Xdefaults
77
-map cfw shell nvim ~/.bookmarks
78
-map cfz shell nvim ~/.zshrc
54
+map gv cd $HOME/Videos
55
+map tv tab_new $HOME/Videos
56
+map mv shell mv %s $HOME/Videos
57
+map Yv shell cp -r %s $HOME/Videos
58
+map gwp cd $HOME/Pictures/wallpapers
59
+map twp tab_new $HOME/Pictures/wallpapers
60
+map mwp shell mv %s $HOME/Pictures/wallpapers
61
+map Ywp shell cp -r %s $HOME/Pictures/wallpapers
62
+map g.f cd $HOME/dotfiles
63
+map t.f tab_new $HOME/dotfiles
64
+map m.f shell mv %s $HOME/dotfiles
65
+map Y.f shell cp -r %s $HOME/dotfiles
66
+map cfa shell nvim $HOME/.zsh_aliases
67
+map cfb shell nvim $HOME/.bashrc
68
+map cfcf shell nvim $HOME/.config/Scripts/configs
69
+map cff shell nvim $HOME/.config/Scripts/folders
70
+map cfi shell nvim $HOME/.config/i3/config
71
+map cfp shell nvim $HOME/.config/polybar/config
72
+map cfq shell nvim $HOME/.config/qutebrowser/config.py
73
+map cfr shell nvim $HOME/.config/ranger/rc.conf
74
+map cft shell nvim $HOME/.tmux.conf
75
+map cfv shell nvim $HOME/.config/nvim/init.vim
76
+map cfx shell nvim $HOME/.Xdefaults
77
+map cfw shell nvim $HOME/.bookmarks
78
+map cfz shell nvim $HOME/.zshrc

+ 1
- 1
ranger/.config/ranger/bookmarks View File

@@ -1 +1 @@
1
-':/home/micah/Pictures/wallpapers
1
+':/home/micah/Documents/GTRI/sonar/sasdb

+ 1
- 1
ranger/.config/ranger/commands.py View File

@@ -99,7 +99,7 @@ class pingo(Command):
99 99
     def execute(self):
100 100
         import subprocess
101 101
         import os.path
102
-        command="cat ~/.pins|fzf -n 1|awk '{print $1 \":\" $2}'"
102
+        command="cat $HOME/.pins|fzf -n 1|awk '{print $1 \":\" $2}'"
103 103
         fzf = self.fm.execute_command(command, stdout=subprocess.PIPE)
104 104
         stdout, stderr = fzf.communicate()
105 105
         if fzf.returncode == 0:

+ 10
- 10
ranger/.config/ranger/rc.conf View File

@@ -4,7 +4,7 @@ set column_ratios 1,3,4
4 4
 set hidden_filter ^\.|\.(?:pyc|vrb|pyo|bak|swp|aux|log|nav|out|snm|toc|bcf|run\.xml|synctex\.gz|blg|bbl)$|^lost\+found$|^__(py)?cache__$
5 5
 set show_hidden false
6 6
 set confirm_on_delete multiple
7
-set preview_script ~/.config/ranger/scope.sh
7
+set preview_script $HOME/.config/ranger/scope.sh
8 8
 set use_preview_script true
9 9
 set automatically_count_files true
10 10
 set open_all_images true
@@ -438,7 +438,7 @@ copytmap <ESC> q Q w <C-c>
438 438
 # General
439 439
 map vi console shell vim%space
440 440
 map mkd console mkdir%space
441
-map x shell ~/.config/Scripts/extract %f
441
+map x shell $HOME/.config/Scripts/extract %f
442 442
 map Z shell tar -cvzf %f.tar.gz %s
443 443
 map <C-f> fzf_select
444 444
 
@@ -450,15 +450,15 @@ map ML shell rubber -m xelatex %f
450 450
 map MP shell pandoc %f --latex-engine=xelatex -o %f.pdf
451 451
 map MB shell pandoc %f --latex-engine=xelatex -t beamer -o %f.pdf
452 452
 map MR shell echo "require(rmarkdown); render(%f)" | R --vanilla
453
-map Txa console shell cp ~/Documents/LaTeX/templates/article.tex%space
454
-map Txb console shell cp ~/Documents/LaTeX/templates/beamer.tex%space
455
-map Mda console shell cp ~/Documents/Markdown/templates/article.md%space
456
-map Mdb console shell cp ~/Documents/Markdown/templates/beamer.md%space
457
-map Rmda console shell cp ~/Documents/Markdown/templates/article.rmd%space
453
+map Txa console shell cp $HOME/Documents/LaTeX/templates/article.tex%space
454
+map Txb console shell cp $HOME/Documents/LaTeX/templates/beamer.tex%space
455
+map Mda console shell cp $HOME/Documents/Markdown/templates/article.md%space
456
+map Mdb console shell cp $HOME/Documents/Markdown/templates/beamer.md%space
457
+map Rmda console shell cp $HOME/Documents/Markdown/templates/article.rmd%space
458 458
 
459 459
 # Image
460
-map bg shell \cp -f %f ~/.config/wall && \cp -f %f /usr/share/wallpaper/wall && feh --bg-scale %f
461
-map bw shell wal -g -c -i %f -o /home/micah/.config/Scripts/wal-set && \cp -f %f ~/.config/wall && \cp -f %f /usr/share/wallpaper/wall
460
+map bg shell \cp -f %f $HOME/.config/wall && \cp -f %f /usr/share/wallpaper/wall && feh --bg-scale %f
461
+map bw shell wal -g -c -i %f -o $HOME/.config/Scripts/wal-set && \cp -f %f $HOME/.config/wall && \cp -f %f /usr/share/wallpaper/wall
462 462
 map C shell convert -rotate 90 %s %s
463 463
 map F shell convert -flop %s %s
464 464
 
@@ -468,4 +468,4 @@ map yta console shell youtube-dl -xic%space
468 468
 map arc console shell aria2c%space
469 469
 
470 470
 # External Shortcuts
471
-source ~/.config/ranger/shortcuts.conf
471
+source $HOME/.config/ranger/shortcuts.conf

+ 64
- 64
ranger/.config/ranger/shortcuts.conf View File

@@ -3,22 +3,22 @@ map gb cd -
3 3
 map tb tab_new -
4 4
 map mb shell mv %s -
5 5
 map Yb shell cp -r %s -
6
-map gcf cd ~/.config
7
-map tcf tab_new ~/.config
8
-map mcf shell mv %s ~/.config
9
-map Ycf shell cp -r %s ~/.config
10
-map gcv cd ~/Documents/mehalter.gitlab.io/public/resume
11
-map tcv tab_new ~/Documents/mehalter.gitlab.io/public/resume
12
-map mcv shell mv %s ~/Documents/mehalter.gitlab.io/public/resume
13
-map Ycv shell cp -r %s ~/Documents/mehalter.gitlab.io/public/resume
14
-map gd cd ~/Documents
15
-map td tab_new ~/Documents
16
-map md shell mv %s ~/Documents
17
-map Yd shell cp -r %s ~/Documents
18
-map gD cd ~/Downloads
19
-map tD tab_new ~/Downloads
20
-map mD shell mv %s ~/Downloads
21
-map YD shell cp -r %s ~/Downloads
6
+map gcf cd $HOME/.config
7
+map tcf tab_new $HOME/.config
8
+map mcf shell mv %s $HOME/.config
9
+map Ycf shell cp -r %s $HOME/.config
10
+map gcv cd $HOME/Documents/mehalter.gitlab.io/public/resume
11
+map tcv tab_new $HOME/Documents/mehalter.gitlab.io/public/resume
12
+map mcv shell mv %s $HOME/Documents/mehalter.gitlab.io/public/resume
13
+map Ycv shell cp -r %s $HOME/Documents/mehalter.gitlab.io/public/resume
14
+map gd cd $HOME/Documents
15
+map td tab_new $HOME/Documents
16
+map md shell mv %s $HOME/Documents
17
+map Yd shell cp -r %s $HOME/Documents
18
+map gD cd $HOME/Downloads
19
+map tD tab_new $HOME/Downloads
20
+map mD shell mv %s $HOME/Downloads
21
+map YD shell cp -r %s $HOME/Downloads
22 22
 map ge cd /etc
23 23
 map te tab_new /etc
24 24
 map me shell mv %s /etc
@@ -27,63 +27,63 @@ map gh cd ~
27 27
 map th tab_new ~
28 28
 map mh shell mv %s ~
29 29
 map Yh shell cp -r %s ~
30
-map gm cd ~/Music
31
-map tm tab_new ~/Music
32
-map mm shell mv %s ~/Music
33
-map Ym shell cp -r %s ~/Music
30
+map gm cd $HOME/Music
31
+map tm tab_new $HOME/Music
32
+map mm shell mv %s $HOME/Music
33
+map Ym shell cp -r %s $HOME/Music
34 34
 map go cd /opt
35 35
 map to tab_new /opt
36 36
 map mo shell mv %s /opt
37 37
 map Yo shell cp -r %s /opt
38
-map gp cd ~/Pictures
39
-map tp tab_new ~/Pictures
40
-map mp shell mv %s ~/Pictures
41
-map Yp shell cp -r %s ~/Pictures
38
+map gp cd $HOME/Pictures
39
+map tp tab_new $HOME/Pictures
40
+map mp shell mv %s $HOME/Pictures
41
+map Yp shell cp -r %s $HOME/Pictures
42 42
 map gr cd /
43 43
 map tr tab_new /
44 44
 map mr shell mv %s /
45 45
 map Yr shell cp -r %s /
46
-map gs cd ~/Documents/School-Work
47
-map ts tab_new ~/Documents/School-Work
48
-map ms shell mv %s ~/Documents/School-Work
49
-map Ys shell cp -r %s ~/Documents/School-Work
50
-map gS cd ~/.config/Scripts
51
-map tS tab_new ~/.config/Scripts
52
-map mS shell mv %s ~/.config/Scripts
53
-map YS shell cp -r %s ~/.config/Scripts
46
+map gs cd $HOME/Documents/School-Work
47
+map ts tab_new $HOME/Documents/School-Work
48
+map ms shell mv %s $HOME/Documents/School-Work
49
+map Ys shell cp -r %s $HOME/Documents/School-Work
50
+map gS cd $HOME/.config/Scripts
51
+map tS tab_new $HOME/.config/Scripts
52
+map mS shell mv %s $HOME/.config/Scripts
53
+map YS shell cp -r %s $HOME/.config/Scripts
54 54
 map gu cd /usr
55 55
 map tu tab_new /usr
56 56
 map mu shell mv %s /usr
57 57
 map Yu shell cp -r %s /usr
58
-map gv cd ~/Videos
59
-map tv tab_new ~/Videos
60
-map mv shell mv %s ~/Videos
61
-map Yv shell cp -r %s ~/Videos
62
-map gws cd ~/Documents/mehalter.gitlab.io/public
63
-map tws tab_new ~/Documents/mehalter.gitlab.io/public
64
-map mws shell mv %s ~/Documents/mehalter.gitlab.io/public
65
-map Yws shell cp -r %s ~/Documents/mehalter.gitlab.io/public
66
-map gwp cd ~/Pictures/wallpapers
67
-map twp tab_new ~/Pictures/wallpapers
68
-map mwp shell mv %s ~/Pictures/wallpapers
69
-map Ywp shell cp -r %s ~/Pictures/wallpapers
70
-map g.f cd ~/dotfiles
71
-map t.f tab_new ~/dotfiles
72
-map m.f shell mv %s ~/dotfiles
73
-map Y.f shell cp -r %s ~/dotfiles
74
-map cfa shell nvim ~/.zsh_aliases
75
-map cfb shell nvim ~/.bashrc
76
-map cfcf shell nvim ~/.config/Scripts/configs
77
-map cfcv shell nvim ~/Documents/mehalter.gitlab.io/public/resume/resume.tex
78
-map cfd shell nvim ~/.Xresources
79
-map cff shell nvim ~/.config/Scripts/folders
80
-map cfi shell nvim ~/.config/i3/config
81
-map cfm shell nvim ~/.config/mutt/muttrc
82
-map cfp shell nvim ~/.config/polybar/config
83
-map cfq shell nvim ~/.config/qutebrowser/config.py
84
-map cfr shell nvim ~/.config/ranger/rc.conf
85
-map cft shell nvim ~/.tmux.conf
86
-map cfv shell nvim ~/.config/nvim/init.vim
87
-map cfw shell nvim ~/.bookmarks
88
-map cfx shell nvim ~/.Xdefaults
89
-map cfz shell nvim ~/.zshrc
58
+map gv cd $HOME/Videos
59
+map tv tab_new $HOME/Videos
60
+map mv shell mv %s $HOME/Videos
61
+map Yv shell cp -r %s $HOME/Videos
62
+map gws cd $HOME/Documents/mehalter.gitlab.io/public
63
+map tws tab_new $HOME/Documents/mehalter.gitlab.io/public
64
+map mws shell mv %s $HOME/Documents/mehalter.gitlab.io/public
65
+map Yws shell cp -r %s $HOME/Documents/mehalter.gitlab.io/public
66
+map gwp cd $HOME/Pictures/wallpapers
67
+map twp tab_new $HOME/Pictures/wallpapers
68
+map mwp shell mv %s $HOME/Pictures/wallpapers
69
+map Ywp shell cp -r %s $HOME/Pictures/wallpapers
70
+map g.f cd $HOME/dotfiles
71
+map t.f tab_new $HOME/dotfiles
72
+map m.f shell mv %s $HOME/dotfiles
73
+map Y.f shell cp -r %s $HOME/dotfiles
74
+map cfa shell nvim $HOME/.zsh_aliases
75
+map cfb shell nvim $HOME/.bashrc
76
+map cfcf shell nvim $HOME/.config/Scripts/configs
77
+map cfcv shell nvim $HOME/Documents/mehalter.gitlab.io/public/resume/resume.tex
78
+map cfd shell nvim $HOME/.Xresources
79
+map cff shell nvim $HOME/.config/Scripts/folders
80
+map cfi shell nvim $HOME/.config/i3/config
81
+map cfm shell nvim $HOME/.config/mutt/muttrc
82
+map cfp shell nvim $HOME/.config/polybar/config
83
+map cfq shell nvim $HOME/.config/qutebrowser/config.py
84
+map cfr shell nvim $HOME/.config/ranger/rc.conf
85
+map cft shell nvim $HOME/.tmux.conf
86
+map cfv shell nvim $HOME/.config/nvim/init.vim
87
+map cfw shell nvim $HOME/.bookmarks
88
+map cfx shell nvim $HOME/.Xdefaults
89
+map cfz shell nvim $HOME/.zshrc

+ 13
- 13
scripts-work/.config/Scripts/configs View File

@@ -1,13 +1,13 @@
1
-cfa	~/.zsh_aliases
2
-cfb	~/.bashrc
3
-cfcf	~/.config/Scripts/configs
4
-cff	~/.config/Scripts/folders
5
-cfi	~/.config/i3/config
6
-cfp	~/.config/polybar/config
7
-cfq	~/.config/qutebrowser/config.py
8
-cfr	~/.config/ranger/rc.conf
9
-cft	~/.tmux.conf
10
-cfv	~/.config/nvim/init.vim
11
-cfx	~/.Xdefaults
12
-cfw	~/.bookmarks
13
-cfz	~/.zshrc
1
+cfa	$HOME/.zsh_aliases
2
+cfb	$HOME/.bashrc
3
+cfcf	$HOME/.config/Scripts/configs
4
+cff	$HOME/.config/Scripts/folders
5
+cfi	$HOME/.config/i3/config
6
+cfp	$HOME/.config/polybar/config
7
+cfq	$HOME/.config/qutebrowser/config.py
8
+cfr	$HOME/.config/ranger/rc.conf
9
+cft	$HOME/.tmux.conf
10
+cfv	$HOME/.config/nvim/init.vim
11
+cfx	$HOME/.Xdefaults
12
+cfw	$HOME/.bookmarks
13
+cfz	$HOME/.zshrc

+ 10
- 10
scripts-work/.config/Scripts/folders View File

@@ -1,16 +1,16 @@
1 1
 b	-
2
-cf	~/.config
3
-d	~/Documents
4
-D	~/Downloads
2
+cf	$HOME/.config
3
+d	$HOME/Documents
4
+D	$HOME/Downloads
5 5
 e	/etc
6 6
 h	~
7
-m	~/Music
7
+m	$HOME/Music
8 8
 o	/opt
9
-p	~/Pictures
9
+p	$HOME/Pictures
10 10
 r	/
11
-s	~/Documents/School-Work
12
-S	~/.config/Scripts
11
+s	$HOME/Documents/School-Work
12
+S	$HOME/.config/Scripts
13 13
 u	/usr
14
-v	~/Videos
15
-wp	~/Pictures/wallpapers
16
-.f	~/dotfiles
14
+v	$HOME/Videos
15
+wp	$HOME/Pictures/wallpapers
16
+.f	$HOME/dotfiles

+ 1
- 1
scripts-work/.config/Scripts/screen.sh View File

@@ -24,4 +24,4 @@ case $1 in
24 24
   *) echo "Invalid parameter"
25 25
 esac
26 26
 
27
-~/.config/polybar/launch.sh
27
+$HOME/.config/polybar/launch.sh

+ 16
- 16
scripts/.config/Scripts/configs View File

@@ -1,16 +1,16 @@
1
-cfa	~/.zsh_aliases
2
-cfb	~/.bashrc
3
-cfcf	~/.config/Scripts/configs
4
-cfcv	~/Documents/mehalter.gitlab.io/public/resume/resume.tex
5
-cfd	~/.Xresources
6
-cff	~/.config/Scripts/folders
7
-cfi	~/.config/i3/config
8
-cfm	~/.config/mutt/muttrc
9
-cfp	~/.config/polybar/config
10
-cfq	~/.config/qutebrowser/config.py
11
-cfr	~/.config/ranger/rc.conf
12
-cft	~/.tmux.conf
13
-cfv	~/.config/nvim/init.vim
14
-cfw	~/.bookmarks
15
-cfx	~/.Xdefaults
16
-cfz	~/.zshrc
1
+cfa	$HOME/.zsh_aliases
2
+cfb	$HOME/.bashrc
3
+cfcf	$HOME/.config/Scripts/configs
4
+cfcv	$HOME/Documents/mehalter.gitlab.io/public/resume/resume.tex
5
+cfd	$HOME/.Xresources
6
+cff	$HOME/.config/Scripts/folders
7
+cfi	$HOME/.config/i3/config
8
+cfm	$HOME/.config/mutt/muttrc
9
+cfp	$HOME/.config/polybar/config
10
+cfq	$HOME/.config/qutebrowser/config.py
11
+cfr	$HOME/.config/ranger/rc.conf
12
+cft	$HOME/.tmux.conf
13
+cfv	$HOME/.config/nvim/init.vim
14
+cfw	$HOME/.bookmarks
15
+cfx	$HOME/.Xdefaults
16
+cfz	$HOME/.zshrc

+ 12
- 12
scripts/.config/Scripts/folders View File

@@ -1,18 +1,18 @@
1 1
 b  -
2
-cf ~/.config
3
-cv ~/Documents/mehalter.gitlab.io/public/resume
4
-d  ~/Documents
5
-D  ~/Downloads
2
+cf $HOME/.config
3
+cv $HOME/Documents/mehalter.gitlab.io/public/resume
4
+d  $HOME/Documents
5
+D  $HOME/Downloads
6 6
 e  /etc
7 7
 h  ~
8
-m  ~/Music
8
+m  $HOME/Music
9 9
 o  /opt
10
-p  ~/Pictures
10
+p  $HOME/Pictures
11 11
 r  /
12
-s  ~/Documents/School-Work
13
-S  ~/.config/Scripts
12
+s  $HOME/Documents/School-Work
13
+S  $HOME/.config/Scripts
14 14
 u  /usr
15
-v  ~/Videos
16
-ws ~/Documents/mehalter.gitlab.io/public
17
-wp ~/Pictures/wallpapers
18
-.f ~/dotfiles
15
+v  $HOME/Videos
16
+ws $HOME/Documents/mehalter.gitlab.io/public
17
+wp $HOME/Pictures/wallpapers
18
+.f $HOME/dotfiles

+ 2
- 2
scripts/.config/Scripts/lock/lock.sh View File

@@ -2,8 +2,8 @@
2 2
 
3 3
 lockwidth=256
4 4
 lockheight=256
5
-. ~/.cache/wal/colors.sh
6
-convert ~/.config/Scripts/lock/lock.png -fuzz 50% -fill "$color4" -opaque "#30AF91" /tmp/lock.png
5
+. $HOME/.cache/wal/colors.sh
6
+convert $HOME/.config/Scripts/lock/lock.png -fuzz 50% -fill "$color4" -opaque "#30AF91" /tmp/lock.png
7 7
 convert /tmp/lock.png -fuzz 10% -fill "$color0" -opaque "#FFFFFF" /tmp/lock.png
8 8
 convert /tmp/lock.png -resize "$lockwidth"x"$lockheight" /tmp/lock.png
9 9
 

+ 2
- 2
scripts/.config/Scripts/screen.sh View File

@@ -81,8 +81,8 @@ fi
81 81
 
82 82
 eval $cmd
83 83
 
84
-~/.config/polybar/launch.sh
85
-feh --bg-scale ~/.config/wall
84
+$HOME/.config/polybar/launch.sh
85
+feh --bg-scale $HOME/.config/wall
86 86
 
87 87
 setxkbmap -option ctrl:nocaps
88 88
 xcape -e 'Control_L=Escape'

+ 2
- 2
tmux/.tmux.conf View File

@@ -27,8 +27,8 @@ bind m set -g mouse\; display "Mouse Toggled"
27 27
 set -g mouse on
28 28
 bind -n WheelUpPane if-shell -F -t = "#{mouse_any_flag}" "send-keys -M" "if -Ft= '#{pane_in_mode}' 'send-keys -M' 'copy-mode -e; send-keys -M'"
29 29
 
30
-# reload ~/.tmux.conf using PREFIX r
31
-bind r source-file ~/.tmux.conf \; display "Reloaded!"
30
+# reload $HOME/.tmux.conf using PREFIX r
31
+bind r source-file $HOME/.tmux.conf \; display "Reloaded!"
32 32
 
33 33
 # use PREFIX | to split window horizontally and PREFIX - to split vertically
34 34
 bind | split-window -h -c "#{pane_current_path}"

+ 1
- 1
tmux/.tmuxinator/default.yml View File

@@ -1,5 +1,5 @@
1 1
 name: default
2
-root: ~/
2
+root:
3 3
 
4 4
 windows:
5 5
     - default:

+ 1
- 1
tmux/.tmuxinator/music.yml View File

@@ -1,5 +1,5 @@
1 1
 name: music
2
-root: ~/
2
+root:
3 3
 
4 4
 windows:
5 5
     - music:

+ 0
- 5
tmux/.tmuxinator/rtorrent.yml View File

@@ -1,5 +0,0 @@
1
-name: rtorrent
2
-root: ~/
3
-
4
-windows:
5
-    - default: rtorrent

+ 1
- 1
tmux/.tmuxinator/scratchpad.yml View File

@@ -1,5 +1,5 @@
1 1
 name: scratchpad
2
-root: ~/
2
+root:
3 3
 
4 4
 windows:
5 5
     - default:

+ 2
- 2
vdirsyncer/.config/vdirsyncer/config View File

@@ -16,7 +16,7 @@ fileext = ".ics"
16 16
 type = "google_calendar"
17 17
 token_file = "~/.config/vdirsyncer/calauth"
18 18
 client_id = "134889099907-ijk4vhmahqi45dijtliga4elba8hi2e3.apps.googleusercontent.com"
19
-client_secret.fetch = ["command", "/home/micah/.config/vdirsyncer/password.sh"]
19
+client_secret.fetch = ["command", "~/.config/vdirsyncer/password.sh"]
20 20
 
21 21
 [pair gaddr]
22 22
 a = "gaddr_local"
@@ -33,4 +33,4 @@ fileext = ".vcf"
33 33
 type = "google_contacts"
34 34
 token_file = "~/.config/vdirsyncer/addrauth"
35 35
 client_id = "134889099907-ijk4vhmahqi45dijtliga4elba8hi2e3.apps.googleusercontent.com"
36
-client_secret.fetch = ["command", "/home/micah/.config/vdirsyncer/password.sh"]
36
+client_secret.fetch = ["command", "~/.config/vdirsyncer/password.sh"]

+ 13
- 13
zsh-work/.zsh_aliases View File

@@ -1,8 +1,8 @@
1 1
 #!/usr/bin/zsh
2 2
 
3 3
 USER=`whoami`
4
-ZSHDIR=~/.oh-my-zsh
5
-TMUXINATORDIR=~/.tmuxinator
4
+ZSHDIR=$HOME/.oh-my-zsh
5
+TMUXINATORDIR=$HOME/.tmuxinator
6 6
 
7 7
 # default applications
8 8
 alias -s c=nvim
@@ -45,8 +45,8 @@ alias m='neomutt'
45 45
 # calendar aliases
46 46
 alias kl='khal'
47 47
 alias ikl='ikhal'
48
-alias kla='khal -c ~/.config/khal/academicconfig'
49
-alias ikla='ikhal -c ~/.config/khal/academicconfig'
48
+alias kla='khal -c $HOME/.config/khal/academicconfig'
49
+alias ikla='ikhal -c $HOME/.config/khal/academicconfig'
50 50
 
51 51
 # addressbook aliases
52 52
 alias kd='khard'
@@ -97,7 +97,7 @@ alias glv="git log --graph --pretty=format:'%h - %d %s (%cr) <%an>' | nvim -R -c
97 97
 
98 98
 # various utilities
99 99
 if [ -x /usr/bin/dircolors ]; then
100
-  test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
100
+  test -r $HOME/.dircolors && eval "$(dircolors -b $HOME/.dircolors)" || eval "$(dircolors -b)"
101 101
   alias ls='ls --color=auto'
102 102
   alias grep='grep --color=auto'
103 103
   alias fgrep='fgrep --color=auto'
@@ -113,14 +113,14 @@ alias ..='cd ..'
113 113
 alias ...='cd ../..'
114 114
 alias Rupdate='sudo Rscript -e '"'"'update.packages(checkBuilt=TRUE, ask=FALSE, repos="https://cran.rstudio.com")'"'"
115 115
 alias speedtest='speedtest-cli'
116
-alias todo='nvim ~/.todo'
116
+alias todo='nvim $HOME/.todo'
117 117
 alias makescript="fc -rnl | head -1 >"
118 118
 alias histg='history | grep'
119 119
 alias cmount='mount | column -t'
120 120
 alias meminfo='free -m -l -t'
121 121
 alias psg='ps aux | grep'
122 122
 alias ipinfo="curl ifconfig.me && curl ifconfig.me/host"
123
-alias alert='notify-send -i "$([ $? = 0 ] && echo terminal || echo error)" "$(cat ~/.zsh_history|tail -n1|cut -d'\'';'\'' -f2-|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
123
+alias alert='notify-send -i "$([ $? = 0 ] && echo terminal || echo error)" "$(cat $HOME/.zsh_history|tail -n1|cut -d'\'';'\'' -f2-|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
124 124
 mcd() { mkdir -p "$1"; cd "$1";}
125 125
 cls() { cd "$1"; ls;}
126 126
 crun() { make "$1"; ./$1;}
@@ -136,7 +136,7 @@ txb() {
136 136
   txtemp beamer $1
137 137
 }
138 138
 txm() {
139
-  cp ~/Documents/LaTeX/templates/mla.sty .;
139
+  cp $HOME/Documents/LaTeX/templates/mla.sty .;
140 140
   txtemp mla $1;
141 141
 }
142 142
 txtemp() {
@@ -145,7 +145,7 @@ txtemp() {
145 145
     if [[ ! $file =~ \.tex$ ]]; then
146 146
       file=$file.tex
147 147
     fi
148
-    cp ~/Documents/LaTeX/templates/$1.tex $file;
148
+    cp $HOME/Documents/LaTeX/templates/$1.tex $file;
149 149
     nvim $file;
150 150
   fi
151 151
 }
@@ -166,7 +166,7 @@ mdtemp() {
166 166
     if [[ ! $file =~ \.$3$ ]]; then
167 167
       file=$file.$3
168 168
     fi
169
-    cp ~/Documents/Markdown/templates/$1.$3 $file;
169
+    cp $HOME/Documents/Markdown/templates/$1.$3 $file;
170 170
     nvim $file;
171 171
   fi
172 172
 }
@@ -202,6 +202,6 @@ gcclm() {
202 202
 }
203 203
 
204 204
 # unused aliases
205
-#alias gohome='sudo openvpn --script-security 2 --config /home/micah/.openvpn/halter_home.ovpn'
206
-#alias dataBackup='/home/micah/backupScript/backup.sh'
207
-#alias dataBackupUmount='/home/micah/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'
205
+#alias gohome='sudo openvpn --script-security 2 --config $HOME/.openvpn/halter_home.ovpn'
206
+#alias dataBackup='$HOME/backupScript/backup.sh'
207
+#alias dataBackupUmount='$HOME/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'

+ 23
- 23
zsh-work/.zsh_shortcuts View File

@@ -1,30 +1,30 @@
1 1
 # vim: filetype=sh
2 2
 alias b='cd - && ls'
3
-alias cf='cd ~/.config && ls'
4
-alias d='cd ~/Documents && ls'
5
-alias D='cd ~/Downloads && ls'
3
+alias cf='cd $HOME/.config && ls'
4
+alias d='cd $HOME/Documents && ls'
5
+alias D='cd $HOME/Downloads && ls'
6 6
 alias e='cd /etc && ls'
7 7
 alias h='cd ~ && ls'
8
-alias m='cd ~/Music && ls'
8
+alias m='cd $HOME/Music && ls'
9 9
 alias o='cd /opt && ls'
10
-alias p='cd ~/Pictures && ls'
10
+alias p='cd $HOME/Pictures && ls'
11 11
 alias r='cd / && ls'
12
-alias s='cd ~/Documents/School-Work && ls'
13
-alias S='cd ~/.config/Scripts && ls'
12
+alias s='cd $HOME/Documents/School-Work && ls'
13
+alias S='cd $HOME/.config/Scripts && ls'
14 14
 alias u='cd /usr && ls'
15
-alias v='cd ~/Videos && ls'
16
-alias wp='cd ~/Pictures/wallpapers && ls'
17
-alias .f='cd ~/dotfiles && ls'
18
-alias cfa='nvim ~/.zsh_aliases'
19
-alias cfb='nvim ~/.bashrc'
20
-alias cfcf='nvim ~/.config/Scripts/configs'
21
-alias cff='nvim ~/.config/Scripts/folders'
22
-alias cfi='nvim ~/.config/i3/config'
23
-alias cfp='nvim ~/.config/polybar/config'
24
-alias cfq='nvim ~/.config/qutebrowser/config.py'
25
-alias cfr='nvim ~/.config/ranger/rc.conf'
26
-alias cft='nvim ~/.tmux.conf'
27
-alias cfv='nvim ~/.config/nvim/init.vim'
28
-alias cfx='nvim ~/.Xdefaults'
29
-alias cfw='nvim ~/.bookmarks'
30
-alias cfz='nvim ~/.zshrc'
15
+alias v='cd $HOME/Videos && ls'
16
+alias wp='cd $HOME/Pictures/wallpapers && ls'
17
+alias .f='cd $HOME/dotfiles && ls'
18
+alias cfa='nvim $HOME/.zsh_aliases'
19
+alias cfb='nvim $HOME/.bashrc'
20
+alias cfcf='nvim $HOME/.config/Scripts/configs'
21
+alias cff='nvim $HOME/.config/Scripts/folders'
22
+alias cfi='nvim $HOME/.config/i3/config'
23
+alias cfp='nvim $HOME/.config/polybar/config'
24
+alias cfq='nvim $HOME/.config/qutebrowser/config.py'
25
+alias cfr='nvim $HOME/.config/ranger/rc.conf'
26
+alias cft='nvim $HOME/.tmux.conf'
27
+alias cfv='nvim $HOME/.config/nvim/init.vim'
28
+alias cfx='nvim $HOME/.Xdefaults'
29
+alias cfw='nvim $HOME/.bookmarks'
30
+alias cfz='nvim $HOME/.zshrc'

+ 11
- 11
zsh-work/.zshrc View File

@@ -14,14 +14,14 @@ export EDITOR="nvim"
14 14
 export USE_EDITOR=$EDITOR
15 15
 export VISUAL=$EDITOR
16 16
 export DEFAULT_USER="micah"
17
-export BROWSER="/home/micah/qutebrowser/bin/qutebrowser"
17
+export BROWSER="$HOME/qutebrowser/bin/qutebrowser"
18 18
 export LC_ALL=en_US.UTF-8
19 19
 export GOROOT='/usr/local/go'
20
-export GOPATH='/home/micah/go'
20
+export GOPATH='$HOME/go'
21 21
 
22 22
 export HISTIGNORE="&:ls:[bf]g:exit:reset:clear:cd:cd ..:cd.."
23 23
 export HISTSIZE=25000
24
-export HISTFILE=~/.zsh_history
24
+export HISTFILE=$HOME/.zsh_history
25 25
 export SAVEHIST=10000
26 26
 setopt INC_APPEND_HISTORY
27 27
 setopt HIST_IGNORE_ALL_DUPS
@@ -32,11 +32,11 @@ setopt HIST_VERIFY
32 32
 setopt interactivecomments
33 33
 setopt CORRECT
34 34
 
35
-source ~/.zsh_aliases
36
-[ -f ~/.zsh_localaliases ] && source ~/.zsh_localaliases
37
-source ~/.zsh_shortcuts
35
+source $HOME/.zsh_aliases
36
+[ -f $HOME/.zsh_localaliases ] && source $HOME/.zsh_localaliases
37
+source $HOME/.zsh_shortcuts
38 38
 
39
-PATH="/home/micah/go/bin:/usr/local/go/bin:/home/micah/.npm-global/:/home/micah/qutebrowser/bin/:/home/micah/.config/Scripts/:/home/micah/.gem/ruby/2.5.0/bin/:$PATH"
39
+PATH="$HOME/go/bin:/usr/local/go/bin:$HOME/.npm-global/:$HOME/qutebrowser/bin/:$HOME/.config/Scripts/:$HOME/.gem/ruby/2.5.0/bin/:$PATH"
40 40
 export NODE_PATH="/usr/local/lib/node_modules"
41 41
 
42 42
 # completions
@@ -66,18 +66,18 @@ bindkey '^x^e' edit-command-line
66 66
 bindkey '^ ' autosuggest-accept
67 67
 
68 68
 # enable fzf
69
-[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh
69
+[ -f $HOME/.fzf.zsh ] && source $HOME/.fzf.zsh
70 70
 export FZF_DEFAULT_OPS="--extended"
71 71
 export FZF_DEFAULT_COMMAND="fd --type f"
72 72
 export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
73 73
 
74
-[ -f ~/.config/Scripts/pins.sh ] && source ~/.config/Scripts/pins.sh
74
+[ -f $HOME/.config/Scripts/pins.sh ] && source $HOME/.config/Scripts/pins.sh
75 75
 
76
-[ -f ~/.config/Scripts/tasks.sh ] && source ~/.config/Scripts/tasks.sh
76
+[ -f $HOME/.config/Scripts/tasks.sh ] && source $HOME/.config/Scripts/tasks.sh
77 77
 
78 78
 export DBSTRING="postgres://postgres:postgres@localhost/postgres?sslmode=disable"
79 79
 
80
-(cat ~/.cache/wal/sequences &)
80
+(cat $HOME/.cache/wal/sequences &)
81 81
 
82 82
 ufetch
83 83
 if [ $(t|wc -l) -gt 0 ]; then

+ 13
- 13
zsh/.zsh_aliases View File

@@ -1,8 +1,8 @@
1 1
 #!/usr/bin/zsh
2 2
 
3 3
 USER=`whoami`
4
-ZSHDIR=~/.oh-my-zsh
5
-TMUXINATORDIR=~/.tmuxinator
4
+ZSHDIR=$HOME/.oh-my-zsh
5
+TMUXINATORDIR=$HOME/.tmuxinator
6 6
 
7 7
 # default applications
8 8
 alias -s c=nvim
@@ -44,8 +44,8 @@ alias m='neomutt'
44 44
 # calendar aliases
45 45
 alias kl='khal'
46 46
 alias ikl='ikhal'
47
-alias kla='khal -c ~/.config/khal/academicconfig'
48
-alias ikla='ikhal -c ~/.config/khal/academicconfig'
47
+alias kla='khal -c $HOME/.config/khal/academicconfig'
48
+alias ikla='ikhal -c $HOME/.config/khal/academicconfig'
49 49
 
50 50
 # addressbook aliases
51 51
 alias kd='khard'
@@ -96,7 +96,7 @@ alias glv="git log --graph --pretty=format:'%h - %d %s (%cr) <%an>' | nvim -R -c
96 96
 
97 97
 # various utilities
98 98
 if [ -x /usr/bin/dircolors ]; then
99
-  test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
99
+  test -r $HOME/.dircolors && eval "$(dircolors -b $HOME/.dircolors)" || eval "$(dircolors -b)"
100 100
   alias ls='ls --color=auto'
101 101
   alias grep='grep --color=auto'
102 102
   alias fgrep='fgrep --color=auto'
@@ -115,14 +115,14 @@ alias ll='ls -alF'
115 115
 alias la='ls -A'
116 116
 alias ..='cd ..'
117 117
 alias ...='cd ../..'
118
-alias todo='vi ~/.todo.md'
118
+alias todo='vi $HOME/.todo.md'
119 119
 alias makescript="fc -rnl | head -1 >"
120 120
 alias histg='history | grep'
121 121
 alias cmount='mount | column -t'
122 122
 alias meminfo='free -m -l -t'
123 123
 alias psg='ps aux | grep'
124 124
 alias ipinfo="curl ifconfig.me && curl ifconfig.me/host"
125
-alias alert='notify-send -i "$([ $? = 0 ] && echo terminal || echo error)" "$(cat ~/.zsh_history|tail -n1|cut -d'\'';'\'' -f2-|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
125
+alias alert='notify-send -i "$([ $? = 0 ] && echo terminal || echo error)" "$(cat $HOME/.zsh_history|tail -n1|cut -d'\'';'\'' -f2-|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
126 126
 alias fuck='sudo /usr/bin/zsh -c "$(fc -rnl| head -1)"'
127 127
 mcd() { mkdir -p -- "$@"; cd -- "$@";}
128 128
 cls() { cd "$1"; ls;}
@@ -138,7 +138,7 @@ txb() {
138 138
   txtemp beamer $1
139 139
 }
140 140
 txm() {
141
-  cp ~/Documents/LaTeX/templates/mla.sty .;
141
+  cp $HOME/Documents/LaTeX/templates/mla.sty .;
142 142
   txtemp mla $1;
143 143
 }
144 144
 txtemp() {
@@ -147,7 +147,7 @@ txtemp() {
147 147
     if [[ ! $file =~ \.tex$ ]]; then
148 148
       file=$file.tex
149 149
     fi
150
-    cp ~/Documents/LaTeX/templates/$1.tex $file;
150
+    cp $HOME/Documents/LaTeX/templates/$1.tex $file;
151 151
     vi $file;
152 152
   fi
153 153
 }
@@ -168,7 +168,7 @@ mdtemp() {
168 168
     if [[ ! $file =~ \.$3$ ]]; then
169 169
       file=$file.$3
170 170
     fi
171
-    cp ~/Documents/Markdown/templates/$1.$3 $file;
171
+    cp $HOME/Documents/Markdown/templates/$1.$3 $file;
172 172
     vi $file;
173 173
   fi
174 174
 }
@@ -190,6 +190,6 @@ gcclm() {
190 190
 }
191 191
 
192 192
 # unused aliases
193
-#alias gohome='sudo openvpn --script-security 2 --config /home/micah/.openvpn/halter_home.ovpn'
194
-#alias dataBackup='/home/micah/backupScript/backup.sh'
195
-#alias dataBackupUmount='/home/micah/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'
193
+#alias gohome='sudo openvpn --script-security 2 --config $HOME/.openvpn/halter_home.ovpn'
194
+#alias dataBackup='$HOME/backupScript/backup.sh'
195
+#alias dataBackupUmount='$HOME/backupScript/backup.sh && sleep 5 && sudo umount /dev/sdd1'

+ 28
- 28
zsh/.zsh_shortcuts View File

@@ -1,35 +1,35 @@
1 1
 # vim: filetype=sh
2 2
 alias b='cd - && ls'
3
-alias cf='cd ~/.config && ls'
4
-alias cv='cd ~/Documents/mehalter.gitlab.io/public/resume && ls'
5
-alias d='cd ~/Documents && ls'
6
-alias D='cd ~/Downloads && ls'
3
+alias cf='cd $HOME/.config && ls'
4
+alias cv='cd $HOME/Documents/mehalter.gitlab.io/public/resume && ls'
5
+alias d='cd $HOME/Documents && ls'
6
+alias D='cd $HOME/Downloads && ls'
7 7
 alias e='cd /etc && ls'
8 8
 alias h='cd ~ && ls'
9
-alias m='cd ~/Music && ls'
9
+alias m='cd $HOME/Music && ls'
10 10
 alias o='cd /opt && ls'
11
-alias p='cd ~/Pictures && ls'
11
+alias p='cd $HOME/Pictures && ls'
12 12
 alias r='cd / && ls'
13
-alias s='cd ~/Documents/School-Work && ls'
14
-alias S='cd ~/.config/Scripts && ls'
13
+alias s='cd $HOME/Documents/School-Work && ls'
14
+alias S='cd $HOME/.config/Scripts && ls'
15 15
 alias u='cd /usr && ls'
16
-alias v='cd ~/Videos && ls'
17
-alias ws='cd ~/Documents/mehalter.gitlab.io/public && ls'
18
-alias wp='cd ~/Pictures/wallpapers && ls'
19
-alias .f='cd ~/dotfiles && ls'
20
-alias cfa='nvim ~/.zsh_aliases'
21
-alias cfb='nvim ~/.bashrc'
22
-alias cfcf='nvim ~/.config/Scripts/configs'
23
-alias cfcv='nvim ~/Documents/mehalter.gitlab.io/public/resume/resume.tex'
24
-alias cfd='nvim ~/.Xresources'
25
-alias cff='nvim ~/.config/Scripts/folders'
26
-alias cfi='nvim ~/.config/i3/config'
27
-alias cfm='nvim ~/.config/mutt/muttrc'
28
-alias cfp='nvim ~/.config/polybar/config'
29
-alias cfq='nvim ~/.config/qutebrowser/config.py'
30
-alias cfr='nvim ~/.config/ranger/rc.conf'
31
-alias cft='nvim ~/.tmux.conf'
32
-alias cfv='nvim ~/.config/nvim/init.vim'
33
-alias cfw='nvim ~/.bookmarks'
34
-alias cfx='nvim ~/.Xdefaults'
35
-alias cfz='nvim ~/.zshrc'
16
+alias v='cd $HOME/Videos && ls'
17
+alias ws='cd $HOME/Documents/mehalter.gitlab.io/public && ls'
18
+alias wp='cd $HOME/Pictures/wallpapers && ls'
19
+alias .f='cd $HOME/dotfiles && ls'
20
+alias cfa='nvim $HOME/.zsh_aliases'
21
+alias cfb='nvim $HOME/.bashrc'
22
+alias cfcf='nvim $HOME/.config/Scripts/configs'
23
+alias cfcv='nvim $HOME/Documents/mehalter.gitlab.io/public/resume/resume.tex'
24
+alias cfd='nvim $HOME/.Xresources'
25
+alias cff='nvim $HOME/.config/Scripts/folders'
26
+alias cfi='nvim $HOME/.config/i3/config'
27
+alias cfm='nvim $HOME/.config/mutt/muttrc'
28
+alias cfp='nvim $HOME/.config/polybar/config'
29
+alias cfq='nvim $HOME/.config/qutebrowser/config.py'
30
+alias cfr='nvim $HOME/.config/ranger/rc.conf'
31
+alias cft='nvim $HOME/.tmux.conf'
32
+alias cfv='nvim $HOME/.config/nvim/init.vim'
33
+alias cfw='nvim $HOME/.bookmarks'
34
+alias cfx='nvim $HOME/.Xdefaults'
35
+alias cfz='nvim $HOME/.zshrc'

+ 9
- 9
zsh/.zshrc View File

@@ -19,12 +19,12 @@ export LC_ALL=en_US.UTF-8
19 19
 export SSH_AUTH_SOCK="$XDG_RUNTIME_DIR/ssh-agent.socket"
20 20
 
21 21
 # set up go environment variables
22
-export GOPATH="/home/micah/go"
22
+export GOPATH="$HOME/go"
23 23
 export GOBIN="$GOPATH/bin"
24 24
 
25 25
 export HISTIGNORE="&:ls:[bf]g:exit:reset:clear:cd:cd ..:cd.."
26 26
 export HISTSIZE=25000
27
-export HISTFILE=~/.zsh_history
27
+export HISTFILE=$HOME/.zsh_history
28 28
 export SAVEHIST=10000
29 29
 
30 30
 setopt INC_APPEND_HISTORY
@@ -62,22 +62,22 @@ zle -N edit-command-line
62 62
 bindkey '^x^e' edit-command-line
63 63
 bindkey '^ ' autosuggest-accept
64 64
 
65
-source ~/.zsh_aliases
66
-source ~/.zsh_shortcuts
65
+source $HOME/.zsh_aliases
66
+source $HOME/.zsh_shortcuts
67 67
 
68
-PATH="/home/micah/.config/Scripts/:/home/micah/.gem/ruby/2.5.0/bin:/home/micah/go/bin:$PATH"
68
+PATH="$HOME/.config/Scripts/:$HOME/.gem/ruby/2.5.0/bin:$HOME/go/bin:$PATH"
69 69
 
70 70
 # enable fzf
71
-[ -f ~/.fzf.zsh ] && source ~/.fzf.zsh
71
+[ -f $HOME/.fzf.zsh ] && source $HOME/.fzf.zsh
72 72
 export FZF_DEFAULT_OPS="--extended"
73 73
 export FZF_DEFAULT_COMMAND="fd --type f"
74 74
 export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
75 75
 
76
-[ -f ~/.config/Scripts/pins.sh ] && source ~/.config/Scripts/pins.sh
76
+[ -f $HOME/.config/Scripts/pins.sh ] && source $HOME/.config/Scripts/pins.sh
77 77
 
78
-[ -f ~/.config/Scripts/tasks.sh ] && source ~/.config/Scripts/tasks.sh
78
+[ -f $HOME/.config/Scripts/tasks.sh ] && source $HOME/.config/Scripts/tasks.sh
79 79
 
80
-(cat ~/.cache/wal/sequences &)
80
+(cat $HOME/.cache/wal/sequences &)
81 81
 
82 82
 ufetch
83 83
 if [ $(t|wc -l) -gt 0 ]; then

Loading…
Cancel
Save